!INTEGER, PARAMETER:: G_2_COEFFS_LEN = 276 

PURE FUNCTION  CONVERT_COEFFS_FOR_G_2 (A,x1,x2) RESULT(U) 
COMPLEX(DP),INTENT(IN) :: A(0:MAX_COS_ORDER) 
REAL(DP), INTENT(IN) :: x1,x2 
COMPLEX(DP):: U(1: G_2_COEFFS_LEN ) 
REAL(DP):: l, g 

l = x2-x1
g = x1/l

U(1) = (l**2*((g*(g*(g*(g*((-A(7)&
	&*9.008999999999999E+3_DP*g)-A(7)*2.25225E+4_DP+A(6)*1.7325E+3_DP)-A(7)*2.079E&
	&+4_DP+A(6)*3.465E+3_DP-A(5)*3.15E+2_DP)-A(7)*8.6625E+3_DP&
	&+A(6)*2.3625E+3_DP-A(5)*4.725E+2_DP+A(4)*5.25E+1_DP)-A(7)*1.575E+3_DP&
	&+A(6)*6.3E+2_DP-A(5)*2.1000000000000002E+2_DP+A(4)*5.25E&
	&+1_DP-A(3)*7.5E+0_DP)-A(7)*9.45E+1_DP+A(6)*5.25E+1_DP-A(5)*2.625E&
	&+1_DP+A(4)*1.125E+1_DP-A(3)*3.75E+0_DP+7.499999999999999E-1_DP*A(2))*l*&
	&*2+g*(g*((-A(7)*1.5015E+4_DP*g)-A(7)*2.25225E+4_DP&
	&+A(6)*1.7325E+3_DP)-A(7)*1.0395000000000001E+4_DP+A(6)*1.7325E&
	&+3_DP-A(5)*1.575E+2_DP)-A(7)*1.44375E+3_DP+A(6)*3.9375E+2_DP-A(5)&
	&*7.875E+1_DP+A(4)*8.75E+0_DP)-A(7)*2.826309814453125E&
	&+3_DP*g-A(7)*1.4131549072265626E+3_DP+A(6)*1.0870422363281249E+2_DP)/l**6
U(2) = ((g*(g*((-A(7)*3.75375E+3_DP*g)-A(7)&
	&*5.630625E+3_DP+A(6)*4.33125E+2_DP)-A(7)*2.59875E+3_DP+A(6)&
	&*4.33125E+2_DP-A(5)*3.9375E+1_DP)-A(7)*3.609375E+2_DP+A(6)&
	&*9.84375E+1_DP-A(5)*1.96875E+1_DP+2.1875E+0_DP*A(4))*l**2-A(7)&
	&*1.0337475585937499E+3_DP*g-A(7)*5.16873779296875E+2_DP+A(6)*3.9759521484375E+1_DP)/l**6
U(3) = ((-A(7)*1.64959716796875E+2_DP&
	&*g)-A(7)*8.24798583984375E+1_DP+A(6)*6.3446044921875E+0_DP)/l**6
U(4) = (l**2*((g*(g*(g*(g*((-A(7)&
	&*2.7026999999999995E+4_DP*g)-A(7)*6.75675E+4_DP+A(6)*5.1975E+3_DP)-A(7)*6.237E&
	&+4_DP+A(6)*1.0395000000000001E+4_DP-A(5)*9.45E+2_DP)-A(7)*2.59875E&
	&+4_DP+A(6)*7.0875E+3_DP-A(5)*1.4175E+3_DP+A(4)*1.575E&
	&+2_DP)-A(7)*4.725E+3_DP+A(6)*1.89E+3_DP-A(5)*6.3E+2_DP+A(4)&
	&*1.575E+2_DP-A(3)*2.25E+1_DP)-A(7)*2.8350000000000003E+2_DP+A(6)&
	&*1.575E+2_DP-A(5)*7.875E+1_DP+A(4)*3.375E+1_DP-A(3)*1.125E+1_DP+A(2)&
	&*2.25E+0_DP)*l**2+g*(g*((-A(7)*4.129125E+4_DP*g)-A(7)*6.1936875E&
	&+4_DP+A(6)*4.764375E+3_DP)-A(7)*2.858625E+4_DP+A(6)&
	&*4.764375E+3_DP-A(5)*4.33125E+2_DP)-A(7)*3.9703125E+3_DP+A(6)&
	&*1.0828125E+3_DP-A(5)*2.165625E+2_DP+A(4)*2.40625E+1_DP)-A(7)&
	&*7.23623291015625E+3_DP*g-A(7)*3.618116455078125E+3_DP+A(6)*2.78316650390625E+2_DP)/l**6
U(5) = (l**2*((g*(g*(g*(g*(A(7)*9.008999999999999E+3_DP&
	&*g+A(7)*2.25225E+4_DP-A(6)*1.7325E+3_DP)+A(7)*2.079E&
	&+4_DP-A(6)*3.465E+3_DP+A(5)*3.15E+2_DP)+A(7)*8.6625E+3_DP-A(6)&
	&*2.3625E+3_DP+A(5)*4.725E+2_DP-A(4)*5.25E+1_DP)+A(7)*1.575E&
	&+3_DP-A(6)*6.3E+2_DP+A(5)*2.1000000000000002E+2_DP-A(4)*5.25E+1_DP&
	&+A(3)*7.5E+0_DP)+A(7)*9.45E+1_DP-A(6)*5.25E+1_DP+A(5)*2.625E&
	&+1_DP-A(4)*1.125E+1_DP+A(3)*3.75E+0_DP-7.499999999999999E-1_DP*A(2))*l**2&
	&+g*(g*(A(7)*2.25225E+4_DP*g+A(7)*3.378375E+4_DP-A(6)&
	&*2.59875E+3_DP)+A(7)*1.55925E+4_DP-A(6)*2.59875E+3_DP+A(5)*2.3625E&
	&+2_DP)+A(7)*2.165625E+3_DP-A(6)*5.90625E+2_DP+A(5)&
	&*1.18125E+2_DP-A(4)*1.3125E+1_DP)+A(7)*4.805826416015625E+3_DP&
	&*g+A(7)*2.4029132080078125E+3_DP-A(6)*1.848394775390625E+2_DP)/l**6
U(6) = ((g*(g*(A(7)*5.630625E+3_DP*g+A(7)&
	&*8.4459375E+3_DP-A(6)*6.496875E+2_DP)+A(7)*3.898125E+3_DP-A(6)*6.496875E&
	&+2_DP+A(5)*5.90625E+1_DP)+A(7)*5.4140625E+2_DP-A(6)*1.4765625E&
	&+2_DP+A(5)*2.953125E+1_DP-3.28125E+0_DP*A(4))*l**2&
	&+A(7)*1.64959716796875E+3_DP*g+A(7)*8.24798583984375E&
	&+2_DP-A(6)*6.3446044921875E+1_DP)/l**6
U(7) = (A(7)*2.96927490234375E+2_DP*g&
	&+A(7)*1.484637451171875E+2_DP-A(6)*1.14202880859375E+1_DP)/l**6
U(8) = (l**2*((g*(g*(g*(g*(A(7)*2.7026999999999995E+4_DP&
	&*g+A(7)*6.75675E+4_DP-A(6)*5.1975E+3_DP)+A(7)&
	&*6.237E+4_DP-A(6)*1.0395000000000001E+4_DP+A(5)*9.45E+2_DP)+A(7)&
	&*2.59875E+4_DP-A(6)*7.0875E+3_DP+A(5)*1.4175E+3_DP-A(4)*1.575E+2_DP)&
	&+A(7)*4.725E+3_DP-A(6)*1.89E+3_DP+A(5)*6.3E+2_DP-A(4)*1.575E+2_DP&
	&+A(3)*2.25E+1_DP)+A(7)*2.8350000000000003E+2_DP-A(6)*1.575E&
	&+2_DP+A(5)*7.875E+1_DP-A(4)*3.375E+1_DP+A(3)*1.125E+1_DP-A(2)*2.25E+0_DP)&
	&*l**2+g*(g*(A(7)*3.1906875E+4_DP*g+A(7)&
	&*4.78603125E+4_DP-A(6)*3.6815625E+3_DP)+A(7)*2.2089375E+4_DP-A(6)*3.6815625E&
	&+3_DP+A(5)*3.346875E+2_DP)+A(7)*3.06796875E+3_DP-A(6)*8.3671875E&
	&+2_DP+A(5)*1.6734374999999999E+2_DP-A(4)*1.859375E&
	&+1_DP)+A(7)*4.50889892578125E+3_DP*g+A(7)&
	&*2.254449462890625E+3_DP-A(6)*1.73419189453125E+2_DP)/l**6
U(9) = ((g*(g*((-A(7)*7.5075E+3_DP*g)-A(7)*1.126125E&
	&+4_DP+A(6)*8.6625E+2_DP)-A(7)*5.1975E+3_DP+A(6)*8.6625E&
	&+2_DP-A(5)*7.875E+1_DP)-A(7)*7.21875E+2_DP+A(6)*1.96875E&
	&+2_DP-A(5)*3.9375E+1_DP+A(4)*4.375E+0_DP)*l**2-A(7)*1.418653564453125E&
	&+3_DP*g-A(7)*7.093267822265625E+2_DP+A(6)*5.45635986328125E+1_DP)/l**6
U(10) = ((g*(g*((-A(7)*1.876875E+3_DP*g)-A(7)&
	&*2.8153125E+3_DP+A(6)*2.165625E+2_DP)-A(7)*1.2993749999999998E&
	&+3_DP+A(6)*2.165625E+2_DP-A(5)*1.96875E+1_DP)-A(7)*1.8046875E&
	&+2_DP+A(6)*4.921875E+1_DP-A(5)*9.84375E+0_DP+1.09375E+0_DP*A(4))*l&
	&**2-A(7)*6.8183349609375E+2_DP*g-A(7)*3.40916748046875E&
	&+2_DP+A(6)*2.6224365234375E+1_DP)/l**6
U(11) = ((-A(7)*1.64959716796875E&
	&+2_DP*g)-A(7)*8.24798583984375E+1_DP+A(6)*6.3446044921875E+0_DP)/l**6
U(12) = ((g*(g*(A(7)*9.384375E+3_DP*g&
	&+A(7)*1.40765625E+4_DP-A(6)*1.0828125E+3_DP)+A(7)*6.496875E+3_DP-A(6)&
	&*1.0828125E+3_DP+A(5)*9.84375E+1_DP)+A(7)*9.0234375E+2_DP-A(6)&
	&*2.4609375E+2_DP+A(5)*4.921875E+1_DP-A(4)*5.46875E+0_DP)*l*&
	&*2+A(7)*2.26544677734375E+3_DP*g+A(7)*1.132723388671875E&
	&+3_DP-A(6)*8.7132568359375E+1_DP)/l**6
U(13) = ((-A(7)*5.60863037109375E&
	&+2_DP*g)-A(7)*2.804315185546875E+2_DP+A(6)*2.15716552734375E+1_DP)/l**6
U(14) = (A(7)*6.598388671875E+1_DP*g&
	&+A(7)*3.2991943359375E+1_DP-2.537841796875E+0_DP*A(6))/l**6
U(15) = (A(7)*3.2991943359375E+1_DP*g&
	&+A(7)*1.64959716796875E+1_DP-1.2689208984375E+0_DP*A(6))/l**6
U(16) = (A(7)*4.6188720703125E+2_DP*g&
	&+A(7)*2.30943603515625E+2_DP-A(6)*1.7764892578125E+1_DP)/l**6
U(17) = (l**2*((g*(g*(g*(g*((-A(7)*3.6036E+4_DP&
	&*g)-A(7)*9.009E+4_DP+A(6)*6.93E+3_DP)-A(7)*8.316E+4_DP+A(6)&
	&*1.386E+4_DP-A(5)*1.26E+3_DP)-A(7)*3.465E+4_DP+A(6)*9.45E+3_DP-A(5)&
	&*1.89E+3_DP+A(4)*2.1000000000000002E+2_DP)-A(7)*6.3E+3_DP&
	&+A(6)*2.52E+3_DP-A(5)*8.4E+2_DP+A(4)*2.1000000000000002E&
	&+2_DP-A(3)*3.E+1_DP)-A(7)*3.7799999999999995E+2_DP+A(6)&
	&*2.1000000000000002E+2_DP-A(5)*1.0500000000000001E+2_DP+A(4)*4.5E+1_DP-A(3)*1.5E&
	&+1_DP+A(2)*3.E+0_DP)*l**2+g*(g*((-A(7)*5.25525E+4_DP*g)-A(7)&
	&*7.882875E+4_DP+A(6)*6.06375E+3_DP)-A(7)*3.63825E+4_DP&
	&+A(6)*6.06375E+3_DP-A(5)*5.5125E+2_DP)-A(7)*5.053125E+3_DP+A(6)&
	&*1.378125E+3_DP-A(5)*2.75625E+2_DP+A(4)*3.0625E+1_DP)-A(7)&
	&*8.885830078125E+3_DP*g-A(7)*4.4429150390625E+3_DP+A(6)*3.417626953125E+2_DP)/l**6
U(18) = ((g*(g*((-A(7)*7.5075E+3_DP*g)-A(7)&
	&*1.126125E+4_DP+A(6)*8.6625E+2_DP)-A(7)*5.1975E+3_DP+A(6)&
	&*8.6625E+2_DP-A(5)*7.875E+1_DP)-A(7)*7.21875E+2_DP+A(6)*1.96875E&
	&+2_DP-A(5)*3.9375E+1_DP+A(4)*4.375E+0_DP)*l**2-A(7)*2.1554736328125E&
	&+3_DP*g-A(7)*1.07773681640625E+3_DP+A(6)*8.290283203125E+1_DP)/l**6
U(19) = ((-A(7)*2.199462890625E+2_DP&
	&*g)-A(7)*1.0997314453125E+2_DP+A(6)*8.45947265625E+0_DP)/l**6
U(20) = (l**2*((g*(g*(g*(g*(A(7)*3.6036E+4_DP*g&
	&+A(7)*9.009E+4_DP-A(6)*6.93E+3_DP)+A(7)*8.316E+4_DP-A(6)*1.386E&
	&+4_DP+A(5)*1.26E+3_DP)+A(7)*3.465E+4_DP-A(6)*9.45E+3_DP&
	&+A(5)*1.89E+3_DP-A(4)*2.1000000000000002E+2_DP)+A(7)*6.3E+3_DP-A(6)&
	&*2.52E+3_DP+A(5)*8.4E+2_DP-A(4)*2.1000000000000002E+2_DP+A(3)*3.E&
	&+1_DP)+A(7)*3.7799999999999995E+2_DP-A(6)*2.1000000000000002E&
	&+2_DP+A(5)*1.0500000000000001E+2_DP-A(4)*4.5E+1_DP+A(3)*1.5E&
	&+1_DP-A(2)*3.E+0_DP)*l**2+g*(g*(A(7)*4.5045E+4_DP*g+A(7)&
	&*6.75675E+4_DP-A(6)*5.1975E+3_DP)+A(7)*3.1185E+4_DP-A(6)*5.1975E+3_DP&
	&+A(5)*4.725E+2_DP)+A(7)*4.33125E+3_DP-A(6)*1.18125E+3_DP&
	&+A(5)*2.3625E+2_DP-A(4)*2.625E+1_DP)+A(7)*6.774345703125E+3_DP&
	&*g+A(7)*3.3871728515625E+3_DP-A(6)*2.605517578125E+2_DP)/l**6
U(21) = ((g*(g*(A(7)*1.5015E+4_DP*g+A(7)&
	&*2.25225E+4_DP-A(6)*1.7325E+3_DP)+A(7)*1.0395000000000001E+4_DP-A(6)&
	&*1.7325E+3_DP+A(5)*1.575E+2_DP)+A(7)*1.44375E+3_DP-A(6)*3.9375E&
	&+2_DP+A(5)*7.875E+1_DP-A(4)*8.75E+0_DP)*l**2+A(7)*3.9150439453125E&
	&+3_DP*g+A(7)*1.95752197265625E+3_DP-A(6)*1.5057861328125E+2_DP)/l**6
U(22) = (A(7)*5.718603515625E+2_DP*g&
	&+A(7)*2.8593017578125E+2_DP-A(6)*2.199462890625E+1_DP)/l**6
U(23) = ((g*(g*(A(7)*7.5075E+3_DP*g+A(7)&
	&*1.126125E+4_DP-A(6)*8.6625E+2_DP)+A(7)*5.1975E+3_DP-A(6)*8.6625E+2_DP&
	&+A(5)*7.875E+1_DP)+A(7)*7.21875E+2_DP-A(6)*1.96875E+2_DP&
	&+A(5)*3.9375E+1_DP-A(4)*4.375E+0_DP)*l**2+A(7)*1.8475488281250002E+3_DP&
	&*g+A(7)*9.237744140625E+2_DP-A(6)*7.10595703125E+1_DP)/l**6
U(24) = ((g*(g*((-A(7)*7.5075E+3_DP*g)-A(7)&
	&*1.126125E+4_DP+A(6)*8.6625E+2_DP)-A(7)*5.1975E+3_DP+A(6)&
	&*8.6625E+2_DP-A(5)*7.875E+1_DP)-A(7)*7.21875E+2_DP+A(6)*1.96875E&
	&+2_DP-A(5)*3.9375E+1_DP+A(4)*4.375E+0_DP)*l**2-A(7)*1.3636669921875E&
	&+3_DP*g-A(7)*6.8183349609375E+2_DP+A(6)*5.244873046875E+1_DP)/l**6
U(25) = ((-A(7)*4.838818359375E+2_DP&
	&*g)-A(7)*2.4194091796875E+2_DP+A(6)*1.861083984375E+1_DP)/l**6
U(26) = (A(7)*2.63935546875E+2_DP*g&
	&+A(7)*1.319677734375E+2_DP-A(6)*1.01513671875E+1_DP)/l**6
U(27) = ((-A(7)*3.959033203125E&
	&+2_DP*g)-A(7)*1.9795166015625001E+2_DP+A(6)*1.522705078125E+1_DP)/l**6
U(28) = (A(7)*1.319677734375E+2_DP*g&
	&+A(7)*6.598388671875E+1_DP-5.07568359375E+0_DP*A(6))/l**6
U(29) = (l**2*((g*(g*(g*(A(7)*4.5045E+4_DP*g&
	&+A(7)*9.009E+4_DP-A(6)*6.93E+3_DP)+A(7)*6.237E&
	&+4_DP-A(6)*1.0395000000000001E+4_DP+A(5)*9.45E+2_DP)+A(7)*1.7325E+4_DP-A(6)*4.725E&
	&+3_DP+A(5)*9.45E+2_DP-A(4)*1.0500000000000001E+2_DP)+A(7)&
	&*1.575E+3_DP-A(6)*6.3E+2_DP+A(5)*2.1000000000000002E+2_DP-A(4)*5.25E&
	&+1_DP+A(3)*7.5E+0_DP)*l**2+g*(A(7)*3.008865234375E+4_DP&
	&*g+A(7)*3.008865234375E+4_DP-A(6)*2.31451171875E+3_DP)&
	&+A(7)*6.94353515625E+3_DP-A(6)*1.157255859375E+3_DP+A(5)*1.0520507812499999E&
	&+2_DP)+A(7)*1.37246484375E+3_DP)/l**7
U(30) = ((g*(A(7)*5.3227001953125E+3_DP*g&
	&+A(7)*5.3227001953125E+3_DP-A(6)*4.094384765625E+2_DP)&
	&+A(7)*1.2283154296875001E+3_DP-A(6)*2.0471923828125E+2_DP+A(5)*1.861083984375E+1_DP)*l&
	&**2+A(7)*4.134990234375E+2_DP)/l**7
U(31) = (A(7)*4.6921875E+1_DP)/l**7
U(32) = (l**2*(l**2*((g*(g*(g*(g*(g*(A(7)*6.006E+3_DP&
	&*g+A(7)*1.8018E+4_DP-A(6)*1.386E+3_DP)+A(7)*2.079E&
	&+4_DP-A(6)*3.465E+3_DP+A(5)*3.15E+2_DP)+A(7)*1.155E+4_DP-A(6)*3.15E+3_DP&
	&+A(5)*6.3E+2_DP-A(4)*7.E+1_DP)+A(7)*3.15E+3_DP-A(6)*1.26E+3_DP&
	&+A(5)*4.2E+2_DP-A(4)*1.0500000000000001E+2_DP+A(3)*1.5E&
	&+1_DP)+A(7)*3.7799999999999995E+2_DP-A(6)*2.1000000000000002E&
	&+2_DP+A(5)*1.0500000000000001E+2_DP-A(4)*4.5E+1_DP+A(3)*1.5E+1_DP-A(2)&
	&*3.E+0_DP)+A(7)*1.3999999999999999E+1_DP-A(6)&
	&*1.0500000000000001E+1_DP+A(5)*7.5E+0_DP-A(4)*5.E+0_DP+A(3)&
	&*3.E+0_DP-1.4999999999999997E+0_DP*A(2)+5.E-1_DP*A(1))*l**2+g*(g*(g*(A(7)*4.5045E+4_DP&
	&*g+A(7)*9.009E+4_DP-A(6)*6.93E+3_DP)+A(7)&
	&*6.237E+4_DP-A(6)*1.0395000000000001E+4_DP+A(5)*9.45E+2_DP)+A(7)*1.7325E&
	&+4_DP-A(6)*4.725E+3_DP+A(5)*9.45E+2_DP-A(4)*1.0500000000000001E&
	&+2_DP)+A(7)*1.575E+3_DP-A(6)*6.3E+2_DP+A(5)*2.1000000000000002E&
	&+2_DP-A(4)*5.25E+1_DP+A(3)*7.5E+0_DP)+g*(A(7)*2.65255224609375E+4_DP&
	&*g+A(7)*2.65255224609375E+4_DP-A(6)*2.0404248046875E&
	&+3_DP)+A(7)*6.1212744140625E+3_DP-A(6)*1.02021240234375E+3_DP&
	&+A(5)*9.274658203125E+1_DP)+A(7)*1.1701142578124998E+3_DP)/l**7
U(33) = (l**2*((g*(g*(g*((-A(7)*3.378375E+4_DP&
	&*g)-A(7)*6.75675E+4_DP+A(6)*5.1975E+3_DP)-A(7)*4.67775E+4_DP&
	&+A(6)*7.79625E+3_DP-A(5)*7.0875E+2_DP)-A(7)*1.2993749999999998E&
	&+4_DP+A(6)*3.54375E+3_DP-A(5)*7.0875E+2_DP+A(4)*7.875E+1_DP)-A(7)&
	&*1.18125E+3_DP+A(6)*4.725E+2_DP-A(5)*1.575E+2_DP+A(4)&
	&*3.9375E+1_DP-A(3)*5.625E+0_DP)*l**2+g*((-A(7)*2.35782421875E&
	&+4_DP*g)-A(7)*2.35782421875E+4_DP+A(6)*1.8137109375E+3_DP)-A(7)*5.4411328125E&
	&+3_DP+A(6)*9.0685546875E+2_DP-A(5)&
	&*8.244140625E+1_DP)-A(7)*1.108529296875E+3_DP)/l**7
U(34) = ((g*((-A(7)*6.774345703125E&
	&+3_DP*g)-A(7)*6.774345703125E+3_DP+A(6)*5.21103515625E+2_DP)-A(7)&
	&*1.563310546875E+3_DP+A(6)*2.605517578125E+2_DP-A(5)*2.36865234375E+1_DP)*l&
	&**2-A(7)*5.014775390625E+2_DP)/l**7
U(35) = -(A(7)*7.6248046875E+1_DP)/l**7
U(36) = (l**2*((g*(g*(g*((-A(7)*3.378375E+4_DP&
	&*g)-A(7)*6.75675E+4_DP+A(6)*5.1975E+3_DP)-A(7)*4.67775E+4_DP&
	&+A(6)*7.79625E+3_DP-A(5)*7.0875E+2_DP)-A(7)*1.2993749999999998E&
	&+4_DP+A(6)*3.54375E+3_DP-A(5)*7.0875E+2_DP+A(4)*7.875E+1_DP)-A(7)&
	&*1.18125E+3_DP+A(6)*4.725E+2_DP-A(5)*1.575E+2_DP+A(4)&
	&*3.9375E+1_DP-A(3)*5.625E+0_DP)*l**2+g*((-A(7)*2.0323037109375E&
	&+4_DP*g)-A(7)*2.0323037109375E+4_DP+A(6)*1.563310546875E&
	&+3_DP)-A(7)*4.689931640625E+3_DP+A(6)*7.816552734375E+2_DP-A(5)&
	&*7.10595703125E+1_DP)-A(7)*8.475263671875E+2_DP)/l**7
U(37) = ((g*(A(7)*8.7978515625E+2_DP*g&
	&+A(7)*8.7978515625E+2_DP-A(6)*6.767578125E+1_DP)+A(7)&
	&*2.0302734375E+2_DP-A(6)*3.3837890625E+1_DP+3.076171875E+0_DP*A(5))*l**2&
	&+A(7)*3.519140625E+1_DP)/l**7
U(38) = ((g*(A(7)*2.4194091796875E+3_DP*g&
	&+A(7)*2.4194091796875E+3_DP-A(6)*1.861083984375E+2_DP)&
	&+A(7)*5.583251953125E+2_DP-A(6)*9.305419921875E+1_DP+A(5)*8.45947265625E+0_DP)*l*&
	&*2+A(7)*1.495634765625E+2_DP)/l**7
U(39) = (A(7)*4.6921875E+1_DP)/l**7
U(40) = ((g*((-A(7)*3.2991943359375E&
	&+3_DP*g)-A(7)*3.2991943359375E+3_DP+A(6)*2.537841796875E+2_DP)-A(7)&
	&*7.613525390625E+2_DP+A(6)*1.2689208984375E+2_DP-A(5)*1.153564453125E+1_DP)*l&
	&**2-A(7)*2.316767578125E+2_DP)/l**7
U(41) = (A(7)*3.079248046875E+1_DP)/l**7
U(42) = (A(7)*1.5396240234375E+1_DP)/l**7
U(43) = -(A(7)*1.0264160156249999E+1_DP)/l**7
U(44) = -(A(7)*3.5924560546875E+1_DP)/l**7
U(45) = (l**2*((g*(g*(g*((-A(7)*1.126125E+4_DP&
	&*g)-A(7)*2.25225E+4_DP+A(6)*1.7325E+3_DP)-A(7)*1.55925E+4_DP&
	&+A(6)*2.59875E+3_DP-A(5)*2.3625E+2_DP)-A(7)*4.33125E+3_DP&
	&+A(6)*1.18125E+3_DP-A(5)*2.3625E+2_DP+A(4)*2.625E+1_DP)-A(7)*3.9375E+2_DP&
	&+A(6)*1.575E+2_DP-A(5)*5.25E+1_DP+A(4)*1.3125E+1_DP-1.875E+0_DP*A(3))&
	&*l**2+g*((-A(7)*7.3901953125E+3_DP*g)-A(7)*7.3901953125E&
	&+3_DP+A(6)*5.684765625E+2_DP)-A(7)*1.7054296875E+3_DP&
	&+A(6)*2.8423828125E+2_DP-A(5)*2.583984375E+1_DP)-A(7)*3.2991943359375E+2_DP)/l**7
U(46) = ((g*((-A(7)*9.67763671875E+2_DP&
	&*g)-A(7)*9.67763671875E+2_DP+A(6)*7.4443359375E+1_DP)-A(7)*2.23330078125E&
	&+2_DP+A(6)*3.72216796875E+1_DP-3.3837890625E+0_DP*A(5))*l&
	&**2-A(7)*7.6981201171875E+1_DP)/l**7
U(47) = -(A(7)*7.33154296875E+0_DP)/l**7
U(48) = (l**2*(l**2*((g*(g*(g*(g*(g*((-A(7)*6.006E&
	&+3_DP*g)-A(7)*1.8018E+4_DP+A(6)*1.386E+3_DP)-A(7)*2.079E+4_DP&
	&+A(6)*3.465E+3_DP-A(5)*3.15E+2_DP)-A(7)*1.155E+4_DP+A(6)&
	&*3.15E+3_DP-A(5)*6.3E+2_DP+A(4)*7.E+1_DP)-A(7)*3.15E+3_DP+A(6)&
	&*1.26E+3_DP-A(5)*4.2E+2_DP+A(4)*1.0500000000000001E+2_DP-A(3)&
	&*1.5E+1_DP)-A(7)*3.7799999999999995E+2_DP+A(6)&
	&*2.1000000000000002E+2_DP-A(5)*1.0500000000000001E+2_DP+A(4)*4.5E+1_DP-A(3)*1.5E+1_DP&
	&+A(2)*3.E+0_DP)-A(7)*1.3999999999999999E+1_DP&
	&+A(6)*1.0500000000000001E+1_DP-A(5)*7.5E+0_DP+A(4)*5.E+0_DP-A(3)&
	&*3.E+0_DP+1.4999999999999997E+0_DP*A(2)-5.E-1_DP*A(1))*l**2+g*(g*(g*((-A(7)&
	&*1.126125E+4_DP*g)-A(7)*2.25225E+4_DP+A(6)*1.7325E+3_DP)-A(7)&
	&*1.55925E+4_DP+A(6)*2.59875E+3_DP-A(5)*2.3625E+2_DP)-A(7)*4.33125E&
	&+3_DP+A(6)*1.18125E+3_DP-A(5)*2.3625E+2_DP+A(4)*2.625E&
	&+1_DP)-A(7)*3.9375E+2_DP+A(6)*1.575E+2_DP-A(5)*5.25E+1_DP&
	&+A(4)*1.3125E+1_DP-1.875E+0_DP*A(3))+g*((-A(7)*2.903291015625E&
	&+3_DP*g)-A(7)*2.903291015625E+3_DP+A(6)*2.23330078125E+2_DP)-A(7)&
	&*6.69990234375E+2_DP+A(6)*1.116650390625E+2_DP-A(5)&
	&*1.01513671875E+1_DP)-A(7)*5.4986572265625E+1_DP)/l**7
U(49) = (l**2*(l**2*((g*(g*(g*(g*(g*(A(7)*6.006E+3_DP&
	&*g+A(7)*1.8018E+4_DP-A(6)*1.386E+3_DP)+A(7)*2.079E&
	&+4_DP-A(6)*3.465E+3_DP+A(5)*3.15E+2_DP)+A(7)*1.155E+4_DP-A(6)*3.15E+3_DP&
	&+A(5)*6.3E+2_DP-A(4)*7.E+1_DP)+A(7)*3.15E+3_DP-A(6)*1.26E+3_DP&
	&+A(5)*4.2E+2_DP-A(4)*1.0500000000000001E+2_DP+A(3)*1.5E&
	&+1_DP)+A(7)*3.7799999999999995E+2_DP-A(6)*2.1000000000000002E&
	&+2_DP+A(5)*1.0500000000000001E+2_DP-A(4)*4.5E+1_DP+A(3)*1.5E+1_DP-A(2)&
	&*3.E+0_DP)+A(7)*1.3999999999999999E+1_DP-A(6)&
	&*1.0500000000000001E+1_DP+A(5)*7.5E+0_DP-A(4)*5.E+0_DP+A(3)&
	&*3.E+0_DP-1.4999999999999997E+0_DP*A(2)+5.E-1_DP*A(1))*l**2+g*(g*(g*(A(7)*7.3198125E&
	&+4_DP*g+A(7)*1.4639625E+5_DP-A(6)*1.126125E+4_DP)&
	&+A(7)*1.0135125E+5_DP-A(6)*1.6891875E+4_DP+A(5)*1.535625E+3_DP)&
	&+A(7)*2.8153125E+4_DP-A(6)*7.678125E+3_DP+A(5)*1.535625E+3_DP-A(4)&
	&*1.70625E+2_DP)+A(7)*2.559375E+3_DP-A(6)*1.02375E+3_DP+A(5)&
	&*3.4125E+2_DP-A(4)*8.53125E+1_DP+A(3)*1.21875E+1_DP)+g&
	&*(A(7)*4.52649462890625E+4_DP*g+A(7)*4.52649462890625E+4_DP-A(6)&
	&*3.4819189453125E+3_DP)+A(7)*1.04457568359375E+4_DP-A(6)*1.74095947265625E&
	&+3_DP+A(5)*1.5826904296875E+2_DP)+A(7)*2.0188320007324217E+3_DP)/l**7
U(50) = (l**2*((g*(g*(g*(A(7)*1.6891875E+4_DP*g&
	&+A(7)*3.378375E+4_DP-A(6)*2.59875E+3_DP)+A(7)*2.338875E&
	&+4_DP-A(6)*3.898125E+3_DP+A(5)*3.54375E+2_DP)+A(7)*6.496875E&
	&+3_DP-A(6)*1.771875E+3_DP+A(5)*3.54375E+2_DP-A(4)*3.9375E+1_DP)&
	&+A(7)*5.90625E+2_DP-A(6)*2.3625E+2_DP+A(5)*7.875E+1_DP-A(4)*1.96875E&
	&+1_DP+2.8125E+0_DP*A(3))*l**2+g*(A(7)*1.3922600097656251E+4_DP&
	&*g+A(7)*1.3922600097656251E+4_DP-A(6)*1.07096923828125E&
	&+3_DP)+A(7)*3.21290771484375E+3_DP-A(6)*5.35484619140625E+2_DP&
	&+A(5)*4.8680419921875E+1_DP)+A(7)*7.315963439941406E+2_DP)/l**7
U(51) = ((g*(A(7)*2.74932861328125E+3_DP&
	&*g+A(7)*2.74932861328125E+3_DP-A(6)*2.1148681640625E+2_DP)&
	&+A(7)*6.3446044921875E+2_DP-A(6)*1.05743408203125E+2_DP+A(5)*9.613037109375E+0_DP)*l&
	&**2+A(7)*2.2113766479492186E+2_DP)/l**7
U(52) = (A(7)*3.143399047851562E+1_DP)/l**7
U(53) = (l**2*((g*(g*(g*((-A(7)*5.91215625E&
	&+4_DP*g)-A(7)*1.18243125E+5_DP+A(6)*9.095625E+3_DP)-A(7)*8.1860625E&
	&+4_DP+A(6)*1.36434375E+4_DP-A(5)*1.2403125E+3_DP)-A(7)*2.27390625E&
	&+4_DP+A(6)*6.2015625E+3_DP-A(5)*1.2403125E+3_DP+A(4)&
	&*1.378125E+2_DP)-A(7)*2.0671875E+3_DP+A(6)*8.26875E+2_DP-A(5)*2.75625E&
	&+2_DP+A(4)*6.890625E+1_DP-A(3)*9.84375E+0_DP)*l**2+g&
	&*((-A(7)*3.607119140625E+4_DP*g)-A(7)*3.607119140625E+4_DP&
	&+A(6)*2.77470703125E+3_DP)-A(7)*8.32412109375E+3_DP+A(6)&
	&*1.387353515625E+3_DP-A(5)*1.26123046875E+2_DP)-A(7)*1.527618621826172E+3_DP)/l**7
U(54) = (l**2*((g*(g*(g*((-A(7)*8.4459375E&
	&+3_DP*g)-A(7)*1.6891875E+4_DP+A(6)&
	&*1.2993749999999998E+3_DP)-A(7)*1.1694374999999999E+4_DP+A(6)*1.9490625E+3_DP-A(5)&
	&*1.771875E+2_DP)-A(7)*3.2484375E+3_DP+A(6)*8.859375E+2_DP-A(5)*1.771875E+2_DP&
	&+A(4)*1.96875E+1_DP)-A(7)*2.953125E+2_DP+A(6)*1.18125E&
	&+2_DP-A(5)*3.9375E+1_DP+A(4)*9.84375E+0_DP-1.40625E+0_DP*A(3))*l**2&
	&+g*((-A(7)*1.2404970703125E+4_DP*g)-A(7)*1.2404970703125E&
	&+4_DP+A(6)*9.54228515625E+2_DP)-A(7)*2.862685546875E+3_DP&
	&+A(6)*4.771142578125E+2_DP-A(5)*4.33740234375E+1_DP)-A(7)*7.645882873535156E+2_DP)/l**7
U(55) = ((g*((-A(7)*2.199462890625E&
	&+3_DP*g)-A(7)*2.199462890625E+3_DP+A(6)*1.69189453125E+2_DP)-A(7)*5.07568359375E&
	&+2_DP+A(6)*8.45947265625E+1_DP-A(5)*7.6904296875E+0_DP)*l&
	&**2-A(7)*2.101403503417969E+2_DP)/l**7
U(56) = -(A(7)*3.143399047851562E+1_DP)/l**7
U(57) = ((g*((-A(7)*4.1789794921875E&
	&+3_DP*g)-A(7)*4.1789794921875E+3_DP+A(6)*3.214599609375E+2_DP)-A(7)&
	&*9.643798828125E+2_DP+A(6)*1.6072998046875E+2_DP-A(5)*1.461181640625E+1_DP)*l&
	&**2-A(7)*2.9610269165039066E+2_DP)/l**7
U(58) = ((g*(A(7)*3.62911376953125E+3_DP&
	&*g+A(7)*3.62911376953125E+3_DP-A(6)*2.7916259765625E+2_DP)&
	&+A(7)*8.3748779296875E+2_DP-A(6)*1.39581298828125E+2_DP+A(5)*1.2689208984375E+1_DP)*l&
	&**2+A(7)*2.0042605590820312E+2_DP)/l**7
U(59) = ((g*(A(7)*5.4986572265625E+2_DP*g&
	&+A(7)*5.4986572265625E+2_DP-A(6)*4.229736328125E+1_DP)&
	&+A(7)*1.2689208984375E+2_DP-A(6)*2.1148681640625E+1_DP+1.922607421875E+0_DP*A(5))*l*&
	&*2+A(7)*8.220492553710936E+1_DP)/l**7
U(60) = (A(7)*1.3471710205078125E+1_DP)/l**7
U(61) = -(A(7)*3.496229553222656E+1_DP)/l**7
U(62) = (A(7)*4.907551574707031E+1_DP)/l**7
U(63) = -(A(7)*1.1867935180664062E+1_DP)/l**7
U(64) = -(2.2452850341796876E+0_DP*A(7))/l**7
U(65) = (l**2*((g*(g*(g*(g*(A(7)*9.008999999999999E+3_DP&
	&*g+A(7)*2.25225E+4_DP-A(6)*1.7325E+3_DP)+A(7)*2.079E&
	&+4_DP-A(6)*3.465E+3_DP+A(5)*3.15E+2_DP)+A(7)*8.6625E+3_DP-A(6)&
	&*2.3625E+3_DP+A(5)*4.725E+2_DP-A(4)*5.25E+1_DP)+A(7)*1.575E&
	&+3_DP-A(6)*6.3E+2_DP+A(5)*2.1000000000000002E+2_DP-A(4)*5.25E+1_DP&
	&+A(3)*7.5E+0_DP)+A(7)*9.45E+1_DP-A(6)*5.25E+1_DP+A(5)&
	&*2.625E+1_DP-A(4)*1.125E+1_DP+A(3)*3.75E+0_DP-7.499999999999999E-1_DP*A(2))*l**2&
	&+g*(g*(A(7)*2.25225E+4_DP*g+A(7)*3.378375E+4_DP-A(6)&
	&*2.59875E+3_DP)+A(7)*1.55925E+4_DP-A(6)*2.59875E+3_DP+A(5)*2.3625E&
	&+2_DP)+A(7)*2.165625E+3_DP-A(6)*5.90625E+2_DP+A(5)&
	&*1.18125E+2_DP-A(4)*1.3125E+1_DP)+A(7)*4.805826416015625E+3_DP&
	&*g+A(7)*2.4029132080078125E+3_DP-A(6)*1.848394775390625E+2_DP)/l**6
U(66) = ((g*(g*(A(7)*5.630625E+3_DP*g&
	&+A(7)*8.4459375E+3_DP-A(6)*6.496875E+2_DP)+A(7)*3.898125E+3_DP-A(6)*6.496875E&
	&+2_DP+A(5)*5.90625E+1_DP)+A(7)*5.4140625E+2_DP-A(6)*1.4765625E&
	&+2_DP+A(5)*2.953125E+1_DP-3.28125E+0_DP*A(4))*l**2&
	&+A(7)*1.64959716796875E+3_DP*g+A(7)*8.24798583984375E&
	&+2_DP-A(6)*6.3446044921875E+1_DP)/l**6
U(67) = (A(7)*2.96927490234375E+2_DP*g&
	&+A(7)*1.484637451171875E+2_DP-A(6)*1.14202880859375E+1_DP)/l**6
U(68) = (l**2*((g*(g*(g*(g*(A(7)*2.7026999999999995E&
	&+4_DP*g+A(7)*6.75675E+4_DP-A(6)*5.1975E+3_DP)+A(7)&
	&*6.237E+4_DP-A(6)*1.0395000000000001E+4_DP+A(5)*9.45E+2_DP)+A(7)&
	&*2.59875E+4_DP-A(6)*7.0875E+3_DP+A(5)*1.4175E+3_DP-A(4)*1.575E+2_DP)&
	&+A(7)*4.725E+3_DP-A(6)*1.89E+3_DP+A(5)*6.3E+2_DP-A(4)*1.575E+2_DP&
	&+A(3)*2.25E+1_DP)+A(7)*2.8350000000000003E+2_DP-A(6)*1.575E&
	&+2_DP+A(5)*7.875E+1_DP-A(4)*3.375E+1_DP+A(3)*1.125E+1_DP-A(2)*2.25E&
	&+0_DP)*l**2+g*(g*(A(7)*3.1906875E+4_DP*g+A(7)&
	&*4.78603125E+4_DP-A(6)*3.6815625E+3_DP)+A(7)*2.2089375E+4_DP-A(6)*3.6815625E&
	&+3_DP+A(5)*3.346875E+2_DP)+A(7)*3.06796875E+3_DP-A(6)*8.3671875E&
	&+2_DP+A(5)*1.6734374999999999E+2_DP-A(4)*1.859375E&
	&+1_DP)+A(7)*4.50889892578125E+3_DP*g+A(7)&
	&*2.254449462890625E+3_DP-A(6)*1.73419189453125E+2_DP)/l**6
U(69) = (l**2*((g*(g*(g*(g*((-A(7)&
	&*9.008999999999999E+3_DP*g)-A(7)*2.25225E+4_DP+A(6)*1.7325E+3_DP)-A(7)*2.079E&
	&+4_DP+A(6)*3.465E+3_DP-A(5)*3.15E+2_DP)-A(7)*8.6625E+3_DP&
	&+A(6)*2.3625E+3_DP-A(5)*4.725E+2_DP+A(4)*5.25E+1_DP)-A(7)*1.575E+3_DP&
	&+A(6)*6.3E+2_DP-A(5)*2.1000000000000002E+2_DP+A(4)*5.25E&
	&+1_DP-A(3)*7.5E+0_DP)-A(7)*9.45E+1_DP+A(6)*5.25E+1_DP-A(5)*2.625E&
	&+1_DP+A(4)*1.125E+1_DP-A(3)*3.75E+0_DP+7.499999999999999E-1_DP*A(2))*l*&
	&*2+g*(g*((-A(7)*5.630625E+4_DP*g)-A(7)*8.4459375E&
	&+4_DP+A(6)*6.496875E+3_DP)-A(7)*3.898125E+4_DP+A(6)*6.496875E&
	&+3_DP-A(5)*5.90625E+2_DP)-A(7)*5.4140625E+3_DP+A(6)&
	&*1.4765625E+3_DP-A(5)*2.953125E+2_DP+A(4)*3.28125E+1_DP)-A(7)&
	&*1.3999581298828126E+4_DP*g-A(7)*6.999790649414063E+3_DP+A(6)*5.384454345703125E+2_DP)/l**6
U(70) = ((g*(g*((-A(7)*8.4459375E+3_DP&
	&*g)-A(7)*1.266890625E+4_DP+A(6)*9.7453125E+2_DP)-A(7)*5.8471875E+3_DP&
	&+A(6)*9.7453125E+2_DP-A(5)*8.859375E+1_DP)-A(7)*8.12109375E&
	&+2_DP+A(6)*2.21484375E+2_DP-A(5)*4.4296875E+1_DP+A(4)*4.921875E+0_DP)*l&
	&**2-A(7)*3.60272021484375E+3_DP*g-A(7)*1.801360107421875E&
	&+3_DP+A(6)*1.38566162109375E+2_DP)/l**6
U(71) = ((-A(7)*5.34469482421875E&
	&+2_DP*g)-A(7)*2.672347412109375E+2_DP+A(6)*2.0556518554687503E+1_DP)/l**6
U(72) = (l**2*((g*(g*(g*(g*((-A(7)&
	&*2.7026999999999995E+4_DP*g)-A(7)*6.75675E+4_DP+A(6)*5.1975E+3_DP)-A(7)*6.237E&
	&+4_DP+A(6)*1.0395000000000001E+4_DP-A(5)*9.45E+2_DP)-A(7)&
	&*2.59875E+4_DP+A(6)*7.0875E+3_DP-A(5)*1.4175E+3_DP+A(4)*1.575E&
	&+2_DP)-A(7)*4.725E+3_DP+A(6)*1.89E+3_DP-A(5)*6.3E+2_DP+A(4)&
	&*1.575E+2_DP-A(3)*2.25E+1_DP)-A(7)*2.8350000000000003E+2_DP+A(6)&
	&*1.575E+2_DP-A(5)*7.875E+1_DP+A(4)*3.375E+1_DP-A(3)*1.125E+1_DP&
	&+A(2)*2.25E+0_DP)*l**2+g*(g*((-A(7)*5.53678125E+4_DP*g)-A(7)&
	&*8.305171875E+4_DP+A(6)*6.38859375E+3_DP)-A(7)*3.83315625E+4_DP&
	&+A(6)*6.38859375E+3_DP-A(5)*5.8078125E+2_DP)-A(7)*5.323828125E&
	&+3_DP+A(6)*1.451953125E+3_DP-A(5)*2.90390625E+2_DP+A(4)&
	&*3.2265625E+1_DP)-A(7)*1.1142479003906251E+4_DP*g-A(7)*5.571239501953126E&
	&+3_DP+A(6)*4.28556884765625E+2_DP)/l**6
U(73) = ((g*(g*(A(7)*3.378375E+4_DP*g&
	&+A(7)*5.0675625E+4_DP-A(6)*3.898125E+3_DP)+A(7)*2.338875E+4_DP-A(6)*3.898125E&
	&+3_DP+A(5)*3.54375E+2_DP)+A(7)*3.2484375E+3_DP-A(6)*8.859375E&
	&+2_DP+A(5)*1.771875E+2_DP-A(4)*1.96875E+1_DP)*l**2&
	&+A(7)*9.028795166015625E+3_DP*g+A(7)*4.5143975830078126E&
	&+3_DP-A(6)*3.472613525390625E+2_DP)/l**6
U(74) = ((g*(g*(A(7)*2.8153125E+3_DP*g&
	&+A(7)*4.22296875E+3_DP-A(6)*3.2484375E+2_DP)+A(7)*1.9490625E+3_DP-A(6)&
	&*3.2484375E+2_DP+A(5)*2.953125E+1_DP)+A(7)*2.70703125E&
	&+2_DP-A(6)*7.3828125E+1_DP+A(5)*1.4765625E+1_DP-1.640625E+0_DP*A(4))*l*&
	&*2+A(7)*2.70533935546875E+3_DP*g+A(7)&
	&*1.352669677734375E+3_DP-A(6)*1.04051513671875E+2_DP)/l**6
U(75) = (A(7)*2.96927490234375E+2_DP*g&
	&+A(7)*1.484637451171875E+2_DP-A(6)*1.14202880859375E+1_DP)/l**6
U(76) = ((g*(g*(A(7)*2.34609375E+4_DP*g&
	&+A(7)*3.519140625E+4_DP-A(6)*2.70703125E+3_DP)+A(7)*1.62421875E&
	&+4_DP-A(6)*2.70703125E+3_DP+A(5)*2.4609375E+2_DP)+A(7)&
	&*2.255859375E+3_DP-A(6)*6.15234375E+2_DP+A(5)*1.23046875E+2_DP-A(4)*1.3671875E+1_DP)*l&
	&**2+A(7)*5.986937988281249E+3_DP*g+A(7)&
	&*2.9934689941406245E+3_DP-A(6)*2.30266845703125E+2_DP)/l**6
U(77) = (A(7)*1.64959716796875E+2_DP*g&
	&+A(7)*8.24798583984375E+1_DP-A(6)*6.3446044921875E+0_DP)/l**6
U(78) = ((-A(7)*7.5221630859375E+2_DP&
	&*g)-A(7)*3.76108154296875E+2_DP+A(6)*2.8931396484375E+1_DP)/l**6
U(79) = ((-A(7)*5.9385498046875E+1_DP&
	&*g)-A(7)*2.96927490234375E+1_DP+2.2840576171875E+0_DP*A(6))/l**6
U(80) = (A(7)*6.466420898437499E+2_DP&
	&*g+A(7)*3.2332104492187497E+2_DP-A(6)*2.4870849609375E+1_DP)/l**6
U(81) = (l**2*((g*(g*(g*(g*(A(7)*3.6036E+4_DP*g&
	&+A(7)*9.009E+4_DP-A(6)*6.93E+3_DP)+A(7)*8.316E+4_DP-A(6)*1.386E&
	&+4_DP+A(5)*1.26E+3_DP)+A(7)*3.465E+4_DP-A(6)*9.45E+3_DP&
	&+A(5)*1.89E+3_DP-A(4)*2.1000000000000002E+2_DP)+A(7)*6.3E+3_DP-A(6)&
	&*2.52E+3_DP+A(5)*8.4E+2_DP-A(4)*2.1000000000000002E+2_DP+A(3)*3.E&
	&+1_DP)+A(7)*3.7799999999999995E+2_DP-A(6)*2.1000000000000002E&
	&+2_DP+A(5)*1.0500000000000001E+2_DP-A(4)*4.5E+1_DP+A(3)*1.5E&
	&+1_DP-A(2)*3.E+0_DP)*l**2+g*(g*(A(7)*4.5045E+4_DP*g+A(7)&
	&*6.75675E+4_DP-A(6)*5.1975E+3_DP)+A(7)*3.1185E+4_DP-A(6)*5.1975E+3_DP&
	&+A(5)*4.725E+2_DP)+A(7)*4.33125E+3_DP-A(6)*1.18125E+3_DP&
	&+A(5)*2.3625E+2_DP-A(4)*2.625E+1_DP)+A(7)*6.774345703125E+3_DP&
	&*g+A(7)*3.3871728515625E+3_DP-A(6)*2.605517578125E+2_DP)/l**6
U(82) = ((g*(g*(A(7)*1.5015E+4_DP*g+A(7)&
	&*2.25225E+4_DP-A(6)*1.7325E+3_DP)+A(7)*1.0395000000000001E+4_DP-A(6)&
	&*1.7325E+3_DP+A(5)*1.575E+2_DP)+A(7)*1.44375E+3_DP-A(6)*3.9375E&
	&+2_DP+A(5)*7.875E+1_DP-A(4)*8.75E+0_DP)*l**2+A(7)*3.9150439453125E&
	&+3_DP*g+A(7)*1.95752197265625E+3_DP-A(6)*1.5057861328125E+2_DP)/l**6
U(83) = (A(7)*5.718603515625E+2_DP*g&
	&+A(7)*2.8593017578125E+2_DP-A(6)*2.199462890625E+1_DP)/l**6
U(84) = (l**2*((g*(g*(g*(g*((-A(7)*3.6036E+4_DP&
	&*g)-A(7)*9.009E+4_DP+A(6)*6.93E+3_DP)-A(7)*8.316E+4_DP+A(6)&
	&*1.386E+4_DP-A(5)*1.26E+3_DP)-A(7)*3.465E+4_DP+A(6)*9.45E+3_DP-A(5)&
	&*1.89E+3_DP+A(4)*2.1000000000000002E+2_DP)-A(7)*6.3E+3_DP&
	&+A(6)*2.52E+3_DP-A(5)*8.4E+2_DP+A(4)*2.1000000000000002E&
	&+2_DP-A(3)*3.E+1_DP)-A(7)*3.7799999999999995E+2_DP+A(6)&
	&*2.1000000000000002E+2_DP-A(5)*1.0500000000000001E+2_DP+A(4)*4.5E+1_DP-A(3)*1.5E&
	&+1_DP+A(2)*3.E+0_DP)*l**2+g*(g*((-A(7)*9.009E+4_DP*g)-A(7)&
	&*1.35135E+5_DP+A(6)*1.0395000000000001E+4_DP)-A(7)*6.237E&
	&+4_DP+A(6)*1.0395000000000001E+4_DP-A(5)*9.45E+2_DP)-A(7)*8.6625E+3_DP&
	&+A(6)*2.3625E+3_DP-A(5)*4.725E+2_DP+A(4)*5.25E&
	&+1_DP)-A(7)*1.9302486328125001E+4_DP*g-A(7)*9.651243164062501E+3_DP&
	&+A(6)*7.424033203125E+2_DP)/l**6
U(85) = ((g*(g*((-A(7)*3.003E+4_DP*g)-A(7)*4.5045E&
	&+4_DP+A(6)*3.465E+3_DP)-A(7)*2.079E+4_DP+A(6)*3.465E&
	&+3_DP-A(5)*3.15E+2_DP)-A(7)*2.8875E+3_DP+A(6)*7.875E+2_DP-A(5)*1.575E&
	&+2_DP+A(4)*1.75E+1_DP)*l**2-A(7)*8.4899267578125E&
	&+3_DP*g-A(7)*4.24496337890625E+3_DP+A(6)*3.2653564453125E+2_DP)/l**6
U(86) = ((-A(7)*1.4868369140624998E&
	&+3_DP*g)-A(7)*7.4341845703125E+2_DP+A(6)*5.718603515625E+1_DP)/l**6
U(87) = ((g*(g*(A(7)*4.5045E+4_DP*g+A(7)&
	&*6.75675E+4_DP-A(6)*5.1975E+3_DP)+A(7)*3.1185E+4_DP-A(6)*5.1975E+3_DP&
	&+A(5)*4.725E+2_DP)+A(7)*4.33125E+3_DP-A(6)*1.18125E+3_DP&
	&+A(5)*2.3625E+2_DP-A(4)*2.625E+1_DP)*l**2+A(7)*1.1525185546875001E+4_DP&
	&*g+A(7)*5.7625927734375E+3_DP-A(6)*4.432763671875E+2_DP)/l**6
U(88) = ((g*(g*(A(7)*1.5015E+4_DP*g+A(7)&
	&*2.25225E+4_DP-A(6)*1.7325E+3_DP)+A(7)*1.0395000000000001E+4_DP-A(6)&
	&*1.7325E+3_DP+A(5)*1.575E+2_DP)+A(7)*1.44375E+3_DP-A(6)*3.9375E&
	&+2_DP+A(5)*7.875E+1_DP-A(4)*8.75E+0_DP)*l**2+A(7)*5.2347216796875E&
	&+3_DP*g+A(7)*2.61736083984375E+3_DP-A(6)*2.0133544921875002E+2_DP)/l**6
U(89) = (A(7)*1.2580927734375E+3_DP*g&
	&+A(7)*6.2904638671875E+2_DP-A(6)*4.838818359375E+1_DP)/l**6
U(90) = (A(7)*1.002955078125E+3_DP*g&
	&+A(7)*5.014775390625E+2_DP-A(6)*3.85751953125E+1_DP)/l**6
U(91) = ((-A(7)*6.598388671875E+2_DP&
	&*g)-A(7)*3.2991943359375E+2_DP+A(6)*2.537841796875E+1_DP)/l**6
U(92) = ((-A(7)*3.431162109375E+2_DP&
	&*g)-A(7)*1.7155810546875E+2_DP+A(6)*1.319677734375E+1_DP)/l**6
U(93) = (l**2*((g*(g*(g*((-A(7)*3.378375E+4_DP&
	&*g)-A(7)*6.75675E+4_DP+A(6)*5.1975E+3_DP)-A(7)*4.67775E+4_DP&
	&+A(6)*7.79625E+3_DP-A(5)*7.0875E+2_DP)-A(7)*1.2993749999999998E&
	&+4_DP+A(6)*3.54375E+3_DP-A(5)*7.0875E+2_DP+A(4)*7.875E+1_DP)-A(7)&
	&*1.18125E+3_DP+A(6)*4.725E+2_DP-A(5)*1.575E+2_DP+A(4)&
	&*3.9375E+1_DP-A(3)*5.625E+0_DP)*l**2+g*((-A(7)*2.35782421875E&
	&+4_DP*g)-A(7)*2.35782421875E+4_DP+A(6)*1.8137109375E+3_DP)-A(7)*5.4411328125E&
	&+3_DP+A(6)*9.0685546875E+2_DP-A(5)&
	&*8.244140625E+1_DP)-A(7)*1.108529296875E+3_DP)/l**7
U(94) = ((g*((-A(7)*6.774345703125E&
	&+3_DP*g)-A(7)*6.774345703125E+3_DP+A(6)*5.21103515625E+2_DP)-A(7)&
	&*1.563310546875E+3_DP+A(6)*2.605517578125E+2_DP-A(5)*2.36865234375E+1_DP)*l&
	&**2-A(7)*5.014775390625E+2_DP)/l**7
U(95) = -(A(7)*7.6248046875E+1_DP)/l**7
U(96) = (l**2*((g*(g*(g*((-A(7)*3.378375E+4_DP&
	&*g)-A(7)*6.75675E+4_DP+A(6)*5.1975E+3_DP)-A(7)*4.67775E+4_DP&
	&+A(6)*7.79625E+3_DP-A(5)*7.0875E+2_DP)-A(7)*1.2993749999999998E&
	&+4_DP+A(6)*3.54375E+3_DP-A(5)*7.0875E+2_DP+A(4)*7.875E+1_DP)-A(7)&
	&*1.18125E+3_DP+A(6)*4.725E+2_DP-A(5)*1.575E+2_DP+A(4)&
	&*3.9375E+1_DP-A(3)*5.625E+0_DP)*l**2+g*((-A(7)*2.0323037109375E&
	&+4_DP*g)-A(7)*2.0323037109375E+4_DP+A(6)*1.563310546875E&
	&+3_DP)-A(7)*4.689931640625E+3_DP+A(6)*7.816552734375E+2_DP-A(5)&
	&*7.10595703125E+1_DP)-A(7)*8.475263671875E+2_DP)/l**7
U(97) = (l**2*((g*(g*(g*(A(7)*2.53378125E+4_DP&
	&*g+A(7)*5.0675625E+4_DP-A(6)*3.898125E+3_DP)+A(7)&
	&*3.5083125E+4_DP-A(6)*5.8471875E+3_DP+A(5)*5.315625E+2_DP)+A(7)&
	&*9.7453125E+3_DP-A(6)*2.6578125E+3_DP+A(5)*5.315625E+2_DP-A(4)*5.90625E&
	&+1_DP)+A(7)*8.859375E+2_DP-A(6)*3.54375E+2_DP+A(5)*1.18125E&
	&+2_DP-A(4)*2.953125E+1_DP+A(3)*4.21875E+0_DP)*l**2+g*(A(7)*3.5895234375E+4_DP&
	&*g+A(7)*3.5895234375E+4_DP-A(6)*2.761171875E+3_DP)&
	&+A(7)*8.283515625E+3_DP-A(6)*1.3805859375E+3_DP+A(5)*1.255078125E&
	&+2_DP)+A(7)*2.233921142578125E+3_DP)/l**7
U(98) = ((g*(A(7)*8.62189453125E+3_DP*g&
	&+A(7)*8.62189453125E+3_DP-A(6)*6.6322265625E+2_DP)+A(7)&
	&*1.9896679687500002E+3_DP-A(6)*3.31611328125E+2_DP+A(5)*3.0146484375E+1_DP)*l*&
	&*2+A(7)*7.580815429687501E+2_DP)/l**7
U(99) = (A(7)*1.2390307617187499E+2_DP)/l**7
U(100) = (l**2*((g*(g*(g*(A(7)*4.22296875E+4_DP&
	&*g+A(7)*8.4459375E+4_DP-A(6)*6.496875E+3_DP)+A(7)&
	&*5.8471875E+4_DP-A(6)*9.7453125E+3_DP+A(5)*8.859375E+2_DP)+A(7)&
	&*1.62421875E+4_DP-A(6)*4.4296875E+3_DP+A(5)*8.859375E+2_DP-A(4)*9.84375E&
	&+1_DP)+A(7)*1.4765625E+3_DP-A(6)*5.90625E+2_DP+A(5)*1.96875E&
	&+2_DP-A(4)*4.921875E+1_DP+A(3)*7.03125E+0_DP)*l**2+g*(A(7)*3.431162109375E&
	&+4_DP*g+A(7)*3.431162109375E+4_DP-A(6)*2.63935546875E&
	&+3_DP)+A(7)*7.91806640625E+3_DP-A(6)*1.319677734375E+3_DP&
	&+A(5)*1.19970703125E+2_DP)+A(7)*1.7639692382812502E+3_DP)/l**7
U(101) = ((g*((-A(7)*1.5836132812499998E&
	&+4_DP*g)-A(7)*1.5836132812499998E+4_DP+A(6)&
	&*1.2181640625000001E+3_DP)-A(7)*3.6544921875E+3_DP+A(6)*6.0908203125E+2_DP-A(5)*5.537109375E+1_DP)&
	&*l**2-A(7)*1.1789121093750002E+3_DP)/l**7
U(102) = ((g*((-A(7)*3.079248046875E&
	&+3_DP*g)-A(7)*3.079248046875E+3_DP+A(6)*2.36865234375E+2_DP)-A(7)&
	&*7.10595703125E+2_DP+A(6)*1.184326171875E+2_DP-A(5)*1.07666015625E+1_DP)*l&
	&**2-A(7)*4.134990234375E+2_DP)/l**7
U(103) = -(A(7)*7.6248046875E+1_DP)/l**7
U(104) = ((g*((-A(7)*9.237744140625E&
	&+3_DP*g)-A(7)*9.237744140625E+3_DP+A(6)*7.10595703125E+2_DP)-A(7)&
	&*2.131787109375E+3_DP+A(6)*3.552978515625E+2_DP-A(5)*3.22998046875E+1_DP)*l&
	&**2-A(7)*6.774345703125E+2_DP)/l**7
U(105) = -(A(7)*3.720758056640625E+1_DP)/l**7
U(106) = (A(7)*7.44151611328125E+1_DP)/l**7
U(107) = (A(7)*1.667926025390625E+1_DP)/l**7
U(108) = -(A(7)*5.38868408203125E+1_DP)/l**7
U(109) = (l**2*((g*(g*(g*(A(7)*8.4459375E+3_DP&
	&*g+A(7)*1.6891875E+4_DP-A(6)*1.2993749999999998E+3_DP)&
	&+A(7)*1.1694374999999999E+4_DP-A(6)*1.9490625E+3_DP+A(5)*1.771875E+2_DP)&
	&+A(7)*3.2484375E+3_DP-A(6)*8.859375E+2_DP+A(5)*1.771875E&
	&+2_DP-A(4)*1.96875E+1_DP)+A(7)*2.953125E+2_DP-A(6)*1.18125E+2_DP&
	&+A(5)*3.9375E+1_DP-A(4)*9.84375E+0_DP+1.40625E+0_DP*A(3))*l**2&
	&+g*(A(7)*3.519140625E+3_DP*g+A(7)*3.519140625E+3_DP-A(6)*2.70703125E&
	&+2_DP)+A(7)*8.12109375E+2_DP-A(6)*1.353515625E+2_DP+A(5)&
	&*1.23046875E+1_DP)+A(7)*9.072784423828125E+1_DP)/l**7
U(110) = ((g*(A(7)*1.23169921875E+3_DP*g&
	&+A(7)*1.23169921875E+3_DP-A(6)*9.474609375E+1_DP)+A(7)&
	&*2.8423828125E+2_DP-A(6)*4.7373046875E+1_DP+4.306640625E+0_DP*A(5))*l*&
	&*2+A(7)*8.24798583984375E+1_DP)/l**7
U(111) = (A(7)*1.191375732421875E+1_DP)/l**7
U(112) = (l**2*((g*(g*(g*((-A(7)*8.4459375E&
	&+3_DP*g)-A(7)*1.6891875E+4_DP+A(6)&
	&*1.2993749999999998E+3_DP)-A(7)*1.1694374999999999E+4_DP+A(6)*1.9490625E+3_DP-A(5)&
	&*1.771875E+2_DP)-A(7)*3.2484375E+3_DP+A(6)*8.859375E+2_DP-A(5)*1.771875E+2_DP&
	&+A(4)*1.96875E+1_DP)-A(7)*2.953125E+2_DP+A(6)*1.18125E&
	&+2_DP-A(5)*3.9375E+1_DP+A(4)*9.84375E+0_DP-1.40625E+0_DP*A(3))*l**2&
	&+g*((-A(7)*4.75083984375E+3_DP*g)-A(7)*4.75083984375E+3_DP&
	&+A(6)*3.6544921875E+2_DP)-A(7)*1.09634765625E+3_DP&
	&+A(6)*1.8272460937499999E+2_DP-A(5)*1.6611328125E+1_DP)-A(7)*1.8512145996093748E+2_DP)/l**7
U(113) = (l**2*((g*(g*(g*((-A(7)*5.91215625E&
	&+4_DP*g)-A(7)*1.18243125E+5_DP+A(6)*9.095625E+3_DP)-A(7)*8.1860625E&
	&+4_DP+A(6)*1.36434375E+4_DP-A(5)*1.2403125E+3_DP)-A(7)*2.27390625E&
	&+4_DP+A(6)*6.2015625E+3_DP-A(5)*1.2403125E+3_DP&
	&+A(4)*1.378125E+2_DP)-A(7)*2.0671875E+3_DP+A(6)*8.26875E+2_DP-A(5)*2.75625E&
	&+2_DP+A(4)*6.890625E+1_DP-A(3)*9.84375E+0_DP)*l**2&
	&+g*((-A(7)*3.607119140625E+4_DP*g)-A(7)*3.607119140625E+4_DP&
	&+A(6)*2.77470703125E+3_DP)-A(7)*8.32412109375E+3_DP+A(6)&
	&*1.387353515625E+3_DP-A(5)*1.26123046875E+2_DP)-A(7)*1.527618621826172E+3_DP)/l**7
U(114) = (l**2*((g*(g*(g*((-A(7)*8.4459375E&
	&+3_DP*g)-A(7)*1.6891875E+4_DP+A(6)&
	&*1.2993749999999998E+3_DP)-A(7)*1.1694374999999999E+4_DP+A(6)*1.9490625E+3_DP-A(5)&
	&*1.771875E+2_DP)-A(7)*3.2484375E+3_DP+A(6)*8.859375E+2_DP-A(5)*1.771875E+2_DP&
	&+A(4)*1.96875E+1_DP)-A(7)*2.953125E+2_DP+A(6)*1.18125E&
	&+2_DP-A(5)*3.9375E+1_DP+A(4)*9.84375E+0_DP-1.40625E+0_DP*A(3))*l**2&
	&+g*((-A(7)*1.2404970703125E+4_DP*g)-A(7)*1.2404970703125E&
	&+4_DP+A(6)*9.54228515625E+2_DP)-A(7)*2.862685546875E+3_DP&
	&+A(6)*4.771142578125E+2_DP-A(5)*4.33740234375E+1_DP)-A(7)*7.645882873535156E+2_DP)/l**7
U(115) = ((g*((-A(7)*2.199462890625E&
	&+3_DP*g)-A(7)*2.199462890625E+3_DP+A(6)*1.69189453125E+2_DP)-A(7)&
	&*5.07568359375E+2_DP+A(6)*8.45947265625E+1_DP-A(5)*7.6904296875E+0_DP)*l&
	&**2-A(7)*2.101403503417969E+2_DP)/l**7
U(116) = -(A(7)*3.143399047851562E+1_DP)/l**7
U(117) = (l**2*((g*(g*(g*(A(7)*6.334453125E+4_DP&
	&*g+A(7)*1.266890625E+5_DP-A(6)*9.7453125E+3_DP)+A(7)&
	&*8.77078125E+4_DP-A(6)*1.4617968750000002E+4_DP+A(5)*1.3289062499999998E&
	&+3_DP)+A(7)*2.436328125E+4_DP-A(6)*6.64453125E+3_DP&
	&+A(5)*1.3289062499999998E+3_DP-A(4)*1.4765625E+2_DP)+A(7)*2.21484375E&
	&+3_DP-A(6)*8.859375E+2_DP+A(5)*2.953125E+2_DP-A(4)*7.3828125E+1_DP&
	&+A(3)*1.0546875E+1_DP)*l**2+g*(A(7)*5.7010078125E+4_DP*g&
	&+A(7)*5.7010078125E+4_DP-A(6)*4.385390625E+3_DP)+A(7)&
	&*1.3156171875E+4_DP-A(6)*2.1926953125E+3_DP+A(5)*1.993359375E+2_DP)&
	&+A(7)*3.074574188232422E+3_DP)/l**7
U(118) = (l**2*((g*(g*(g*(A(7)*4.22296875E+3_DP&
	&*g+A(7)*8.4459375E+3_DP-A(6)*6.496875E+2_DP)+A(7)&
	&*5.8471875E+3_DP-A(6)*9.7453125E+2_DP+A(5)*8.859375E+1_DP)+A(7)&
	&*1.62421875E+3_DP-A(6)*4.4296875E+2_DP+A(5)*8.859375E+1_DP-A(4)*9.84375E&
	&+0_DP)+A(7)*1.4765625E+2_DP-A(6)*5.90625E+1_DP+A(5)*1.96875E&
	&+1_DP-A(4)*4.921875E+0_DP+7.03125E-1_DP*A(3))*l**2+g*(A(7)*2.00591015625E&
	&+4_DP*g+A(7)*2.00591015625E+4_DP-A(6)*1.5430078125E&
	&+3_DP)+A(7)*4.6290234375E+3_DP-A(6)*7.7150390625E+2_DP+A(5)*7.013671875E&
	&+1_DP)+A(7)*1.4647506408691408E+3_DP)/l**7
U(119) = ((g*(A(7)*1.7595703125E+3_DP*g&
	&+A(7)*1.7595703125E+3_DP-A(6)*1.353515625E+2_DP)+A(7)&
	&*4.060546875E+2_DP-A(6)*6.767578125E+1_DP+A(5)*6.15234375E+0_DP)*l**2&
	&+A(7)*3.091161804199219E+2_DP)/l**7
U(120) = (A(7)*3.143399047851562E+1_DP)/l**7
U(121) = ((g*((-A(7)*1.847548828125E&
	&+4_DP*g)-A(7)*1.847548828125E+4_DP+A(6)*1.42119140625E+3_DP)-A(7)&
	&*4.26357421875E+3_DP+A(6)*7.10595703125E+2_DP-A(5)*6.4599609375E+1_DP)*l&
	&**2-A(7)*1.3534944763183593E+3_DP)/l**7
U(122) = ((g*((-A(7)*9.237744140625E&
	&+3_DP*g)-A(7)*9.237744140625E+3_DP+A(6)*7.10595703125E+2_DP)-A(7)&
	&*2.131787109375E+3_DP+A(6)*3.552978515625E+2_DP-A(5)*3.22998046875E+1_DP)*l&
	&**2-A(7)*7.759521789550782E+2_DP)/l**7
U(123) = ((g*((-A(7)*4.39892578125E+2_DP&
	&*g)-A(7)*4.39892578125E+2_DP+A(6)*3.3837890625E+1_DP)-A(7)*1.01513671875E&
	&+2_DP+A(6)*1.69189453125E+1_DP-1.5380859375E+0_DP*A(5))*l&
	&**2-A(7)*2.0317538452148437E+2_DP)/l**7
U(124) = -(A(7)*1.3471710205078125E+1_DP)/l**7
U(125) = -(A(7)*9.333970642089844E+1_DP)/l**7
U(126) = (A(7)*4.073588562011719E+1_DP)/l**7
U(127) = (A(7)*5.035853576660156E+1_DP)/l**7
U(128) = (2.2452850341796876E+0_DP*A(7))/l**7
U(129) = ((g*(g*((-A(7)*7.5075E+3_DP*g)-A(7)&
	&*1.126125E+4_DP+A(6)*8.6625E+2_DP)-A(7)*5.1975E+3_DP+A(6)&
	&*8.6625E+2_DP-A(5)*7.875E+1_DP)-A(7)*7.21875E+2_DP+A(6)*1.96875E&
	&+2_DP-A(5)*3.9375E+1_DP+A(4)*4.375E+0_DP)*l**2-A(7)*1.418653564453125E&
	&+3_DP*g-A(7)*7.093267822265625E+2_DP+A(6)*5.45635986328125E+1_DP)/l**6
U(130) = ((g*(g*((-A(7)*1.876875E+3_DP*g)-A(7)&
	&*2.8153125E+3_DP+A(6)*2.165625E+2_DP)-A(7)*1.2993749999999998E&
	&+3_DP+A(6)*2.165625E+2_DP-A(5)*1.96875E+1_DP)-A(7)*1.8046875E&
	&+2_DP+A(6)*4.921875E+1_DP-A(5)*9.84375E+0_DP+1.09375E+0_DP*A(4))*l&
	&**2-A(7)*6.8183349609375E+2_DP*g-A(7)*3.40916748046875E&
	&+2_DP+A(6)*2.6224365234375E+1_DP)/l**6
U(131) = ((-A(7)*1.64959716796875E&
	&+2_DP*g)-A(7)*8.24798583984375E+1_DP+A(6)*6.3446044921875E+0_DP)/l**6
U(132) = ((g*(g*(A(7)*9.384375E+3_DP*g&
	&+A(7)*1.40765625E+4_DP-A(6)*1.0828125E+3_DP)+A(7)*6.496875E+3_DP-A(6)&
	&*1.0828125E+3_DP+A(5)*9.84375E+1_DP)+A(7)*9.0234375E+2_DP-A(6)&
	&*2.4609375E+2_DP+A(5)*4.921875E+1_DP-A(4)*5.46875E+0_DP)*l*&
	&*2+A(7)*2.26544677734375E+3_DP*g+A(7)*1.132723388671875E&
	&+3_DP-A(6)*8.7132568359375E+1_DP)/l**6
U(133) = ((g*(g*(A(7)*3.378375E+4_DP*g&
	&+A(7)*5.0675625E+4_DP-A(6)*3.898125E+3_DP)+A(7)*2.338875E+4_DP-A(6)&
	&*3.898125E+3_DP+A(5)*3.54375E+2_DP)+A(7)*3.2484375E+3_DP-A(6)*8.859375E&
	&+2_DP+A(5)*1.771875E+2_DP-A(4)*1.96875E+1_DP)*l*&
	&*2+A(7)*9.028795166015625E+3_DP*g+A(7)*4.5143975830078126E&
	&+3_DP-A(6)*3.472613525390625E+2_DP)/l**6
U(134) = ((g*(g*(A(7)*2.8153125E+3_DP*g&
	&+A(7)*4.22296875E+3_DP-A(6)*3.2484375E+2_DP)+A(7)*1.9490625E&
	&+3_DP-A(6)*3.2484375E+2_DP+A(5)*2.953125E+1_DP)+A(7)*2.70703125E&
	&+2_DP-A(6)*7.3828125E+1_DP+A(5)*1.4765625E+1_DP-1.640625E+0_DP*A(4))*l*&
	&*2+A(7)*2.70533935546875E+3_DP*g+A(7)&
	&*1.352669677734375E+3_DP-A(6)*1.04051513671875E+2_DP)/l**6
U(135) = (A(7)*2.96927490234375E+2_DP*g&
	&+A(7)*1.484637451171875E+2_DP-A(6)*1.14202880859375E+1_DP)/l**6
U(136) = ((g*(g*(A(7)*2.34609375E+4_DP*g&
	&+A(7)*3.519140625E+4_DP-A(6)*2.70703125E+3_DP)+A(7)*1.62421875E&
	&+4_DP-A(6)*2.70703125E+3_DP+A(5)*2.4609375E+2_DP)+A(7)&
	&*2.255859375E+3_DP-A(6)*6.15234375E+2_DP+A(5)*1.23046875E+2_DP-A(4)*1.3671875E+1_DP)*l&
	&**2+A(7)*5.986937988281249E+3_DP*g+A(7)&
	&*2.9934689941406245E+3_DP-A(6)*2.30266845703125E+2_DP)/l**6
U(137) = ((g*(g*((-A(7)*2.627625E+4_DP*g)-A(7)&
	&*3.9414375E+4_DP+A(6)*3.031875E+3_DP)-A(7)*1.819125E+4_DP&
	&+A(6)*3.031875E+3_DP-A(5)*2.75625E+2_DP)-A(7)*2.5265625E+3_DP&
	&+A(6)*6.890625E+2_DP-A(5)*1.378125E+2_DP+A(4)*1.53125E+1_DP)*l&
	&**2-A(7)*1.1272247314453125E+4_DP*g-A(7)*5.636123657226563E&
	&+3_DP+A(6)*4.335479736328125E+2_DP)/l**6
U(138) = ((g*(g*((-A(7)*9.384375E+2_DP&
	&*g)-A(7)*1.40765625E+3_DP+A(6)*1.0828125E+2_DP)-A(7)*6.496875E+2_DP&
	&+A(6)*1.0828125E+2_DP-A(5)*9.84375E+0_DP)-A(7)*9.0234375E+1_DP&
	&+A(6)*2.4609375E+1_DP-4.921875E+0_DP*A(5)+5.46875E-1_DP*A(4))*l&
	&**2-A(7)*3.14523193359375E+3_DP*g-A(7)*1.572615966796875E&
	&+3_DP+A(6)*1.20970458984375E+2_DP)/l**6
U(139) = ((-A(7)*1.64959716796875E&
	&+2_DP*g)-A(7)*8.24798583984375E+1_DP+A(6)*6.3446044921875E+0_DP)/l**6
U(140) = ((g*(g*((-A(7)*3.28453125E+4_DP&
	&*g)-A(7)*4.926796875E+4_DP+A(6)*3.78984375E+3_DP)-A(7)*2.27390625E&
	&+4_DP+A(6)*3.78984375E+3_DP-A(5)*3.4453125E+2_DP)-A(7)*3.158203125E&
	&+3_DP+A(6)*8.61328125E+2_DP-A(5)*1.72265625E+2_DP+A(4)*1.9140625E+1_DP)&
	&*l**2-A(7)*1.019231103515625E+4_DP*g-A(7)&
	&*5.096155517578125E+3_DP+A(6)*3.92011962890625E+2_DP)/l**6
U(141) = (A(7)*3.662105712890625E+3_DP&
	&*g+A(7)*1.8310528564453127E+3_DP-A(6)*1.408502197265625E+2_DP)/l**6
U(142) = (A(7)*1.12172607421875E+3_DP*g&
	&+A(7)*5.60863037109375E+2_DP-A(6)*4.3143310546875E+1_DP)/l**6
U(143) = (A(7)*3.2991943359375E+1_DP*g&
	&+A(7)*1.64959716796875E+1_DP-1.2689208984375E+0_DP*A(6))/l**6
U(144) = (A(7)*1.93992626953125E+3_DP*g&
	&+A(7)*9.69963134765625E+2_DP-A(6)*7.4612548828125E+1_DP)/l**6
U(145) = ((g*(g*(A(7)*7.5075E+3_DP*g+A(7)&
	&*1.126125E+4_DP-A(6)*8.6625E+2_DP)+A(7)*5.1975E+3_DP-A(6)*8.6625E+2_DP&
	&+A(5)*7.875E+1_DP)+A(7)*7.21875E+2_DP-A(6)*1.96875E+2_DP&
	&+A(5)*3.9375E+1_DP-A(4)*4.375E+0_DP)*l**2+A(7)*1.8475488281250002E+3_DP&
	&*g+A(7)*9.237744140625E+2_DP-A(6)*7.10595703125E+1_DP)/l**6
U(146) = ((g*(g*((-A(7)*7.5075E+3_DP*g)-A(7)&
	&*1.126125E+4_DP+A(6)*8.6625E+2_DP)-A(7)*5.1975E+3_DP+A(6)&
	&*8.6625E+2_DP-A(5)*7.875E+1_DP)-A(7)*7.21875E+2_DP+A(6)*1.96875E&
	&+2_DP-A(5)*3.9375E+1_DP+A(4)*4.375E+0_DP)*l**2-A(7)*1.3636669921875E&
	&+3_DP*g-A(7)*6.8183349609375E+2_DP+A(6)*5.244873046875E+1_DP)/l**6
U(147) = ((-A(7)*4.838818359375E+2_DP&
	&*g)-A(7)*2.4194091796875E+2_DP+A(6)*1.861083984375E+1_DP)/l**6
U(148) = ((g*(g*(A(7)*4.5045E+4_DP*g+A(7)&
	&*6.75675E+4_DP-A(6)*5.1975E+3_DP)+A(7)*3.1185E+4_DP-A(6)*5.1975E+3_DP&
	&+A(5)*4.725E+2_DP)+A(7)*4.33125E+3_DP-A(6)*1.18125E+3_DP&
	&+A(5)*2.3625E+2_DP-A(4)*2.625E+1_DP)*l**2+A(7)*1.1525185546875001E+4_DP&
	&*g+A(7)*5.7625927734375E+3_DP-A(6)*4.432763671875E+2_DP)/l**6
U(149) = ((g*(g*(A(7)*1.5015E+4_DP*g+A(7)&
	&*2.25225E+4_DP-A(6)*1.7325E+3_DP)+A(7)*1.0395000000000001E+4_DP-A(6)&
	&*1.7325E+3_DP+A(5)*1.575E+2_DP)+A(7)*1.44375E+3_DP-A(6)*3.9375E&
	&+2_DP+A(5)*7.875E+1_DP-A(4)*8.75E+0_DP)*l**2+A(7)*5.2347216796875E&
	&+3_DP*g+A(7)*2.61736083984375E+3_DP-A(6)*2.0133544921875002E+2_DP)/l**6
U(150) = (A(7)*1.2580927734375E+3_DP*g&
	&+A(7)*6.2904638671875E+2_DP-A(6)*4.838818359375E+1_DP)/l**6
U(151) = ((g*(g*((-A(7)*5.25525E+4_DP*g)-A(7)&
	&*7.882875E+4_DP+A(6)*6.06375E+3_DP)-A(7)*3.63825E+4_DP+A(6)&
	&*6.06375E+3_DP-A(5)*5.5125E+2_DP)-A(7)*5.053125E+3_DP+A(6)&
	&*1.378125E+3_DP-A(5)*2.75625E+2_DP+A(4)*3.0625E+1_DP)*l**2-A(7)&
	&*1.7331767578125E+4_DP*g-A(7)*8.6658837890625E+3_DP+A(6)*6.666064453125E+2_DP)/l**6
U(152) = ((g*(g*((-A(7)*7.5075E+3_DP*g)-A(7)&
	&*1.126125E+4_DP+A(6)*8.6625E+2_DP)-A(7)*5.1975E+3_DP+A(6)&
	&*8.6625E+2_DP-A(5)*7.875E+1_DP)-A(7)*7.21875E+2_DP+A(6)*1.96875E&
	&+2_DP-A(5)*3.9375E+1_DP+A(4)*4.375E+0_DP)*l**2-A(7)*6.3784423828125E&
	&+3_DP*g-A(7)*3.18922119140625E+3_DP+A(6)*2.4532470703125E+2_DP)/l**6
U(153) = ((-A(7)*1.0645400390625E+3_DP&
	&*g)-A(7)*5.3227001953125E+2_DP+A(6)*4.094384765625E+1_DP)/l**6
U(154) = (A(7)*3.959033203125E+3_DP*g&
	&+A(7)*1.9795166015625001E+3_DP-A(6)*1.522705078125E+2_DP)/l**6
U(155) = (A(7)*2.5073876953125E+3_DP*g&
	&+A(7)*1.25369384765625E+3_DP-A(6)*9.643798828125E+1_DP)/l**6
U(156) = (A(7)*2.903291015625E+2_DP*g&
	&+A(7)*1.4516455078125E+2_DP-A(6)*1.116650390625E+1_DP)/l**6
U(157) = ((g*(A(7)*8.7978515625E+2_DP*g&
	&+A(7)*8.7978515625E+2_DP-A(6)*6.767578125E+1_DP)+A(7)&
	&*2.0302734375E+2_DP-A(6)*3.3837890625E+1_DP+3.076171875E+0_DP*A(5))*l**2&
	&+A(7)*3.519140625E+1_DP)/l**7
U(158) = ((g*(A(7)*2.4194091796875E+3_DP&
	&*g+A(7)*2.4194091796875E+3_DP-A(6)*1.861083984375E+2_DP)&
	&+A(7)*5.583251953125E+2_DP-A(6)*9.305419921875E+1_DP+A(5)*8.45947265625E+0_DP)*l*&
	&*2+A(7)*1.495634765625E+2_DP)/l**7
U(159) = (A(7)*4.6921875E+1_DP)/l**7
U(160) = ((g*((-A(7)*3.2991943359375E&
	&+3_DP*g)-A(7)*3.2991943359375E+3_DP+A(6)*2.537841796875E+2_DP)-A(7)&
	&*7.613525390625E+2_DP+A(6)*1.2689208984375E+2_DP-A(5)*1.153564453125E+1_DP)&
	&*l**2-A(7)*2.316767578125E+2_DP)/l**7
U(161) = ((g*((-A(7)*1.5836132812499998E&
	&+4_DP*g)-A(7)*1.5836132812499998E+4_DP+A(6)&
	&*1.2181640625000001E+3_DP)-A(7)*3.6544921875E+3_DP+A(6)*6.0908203125E+2_DP-A(5)*5.537109375E+1_DP)&
	&*l**2-A(7)*1.1789121093750002E+3_DP)/l**7
U(162) = ((g*((-A(7)*3.079248046875E&
	&+3_DP*g)-A(7)*3.079248046875E+3_DP+A(6)*2.36865234375E+2_DP)-A(7)&
	&*7.10595703125E+2_DP+A(6)*1.184326171875E+2_DP-A(5)*1.07666015625E+1_DP)*l&
	&**2-A(7)*4.134990234375E+2_DP)/l**7
U(163) = -(A(7)*7.6248046875E+1_DP)/l**7
U(164) = ((g*((-A(7)*9.237744140625E&
	&+3_DP*g)-A(7)*9.237744140625E+3_DP+A(6)*7.10595703125E+2_DP)-A(7)&
	&*2.131787109375E+3_DP+A(6)*3.552978515625E+2_DP-A(5)*3.22998046875E+1_DP)*l&
	&**2-A(7)*6.774345703125E+2_DP)/l**7
U(165) = ((g*(A(7)*1.319677734375E+4_DP*g&
	&+A(7)*1.319677734375E+4_DP-A(6)*1.01513671875E+3_DP)+A(7)&
	&*3.04541015625E+3_DP-A(6)*5.07568359375E+2_DP+A(5)*4.6142578125E+1_DP)*l*&
	&*2+A(7)*1.37246484375E+3_DP)/l**7
U(166) = ((g*(A(7)*1.0997314453125E+3_DP&
	&*g+A(7)*1.0997314453125E+3_DP-A(6)*8.45947265625E+1_DP)&
	&+A(7)*2.537841796875E+2_DP-A(6)*4.229736328125E+1_DP+3.84521484375E+0_DP*A(5))*l*&
	&*2+A(7)*4.134990234375E+2_DP)/l**7
U(167) = (A(7)*4.6921875E+1_DP)/l**7
U(168) = ((g*(A(7)*1.38566162109375E+4_DP&
	&*g+A(7)*1.38566162109375E+4_DP-A(6)*1.0658935546875E+3_DP)&
	&+A(7)*3.1976806640625E+3_DP-A(6)*5.3294677734375E+2_DP+A(5)*4.844970703125E+1_DP)*l&
	&**2+A(7)*1.1701142578124998E+3_DP)/l**7
U(169) = -(A(7)*3.3871728515625E+2_DP)/l**7
U(170) = -(A(7)*1.38566162109375E+2_DP)/l**7
U(171) = -(A(7)*1.0264160156249999E+1_DP)/l**7
U(172) = -(A(7)*1.69358642578125E+2_DP)/l**7
U(173) = ((g*(A(7)*1.7595703125E+3_DP*g&
	&+A(7)*1.7595703125E+3_DP-A(6)*1.353515625E+2_DP)+A(7)&
	&*4.060546875E+2_DP-A(6)*6.767578125E+1_DP+A(5)*6.15234375E+0_DP)*l**2&
	&+A(7)*1.0997314453125E+2_DP)/l**7
U(174) = ((g*((-A(7)*4.39892578125E+2_DP&
	&*g)-A(7)*4.39892578125E+2_DP+A(6)*3.3837890625E+1_DP)-A(7)*1.01513671875E&
	&+2_DP+A(6)*1.69189453125E+1_DP-1.5380859375E+0_DP*A(5))*l&
	&**2-A(7)*1.0997314453125E+1_DP)/l**7
U(175) = -(A(7)*7.33154296875E+0_DP)/l**7
U(176) = ((g*((-A(7)*1.319677734375E&
	&+3_DP*g)-A(7)*1.319677734375E+3_DP+A(6)*1.01513671875E+2_DP)-A(7)&
	&*3.04541015625E+2_DP+A(6)*5.07568359375E+1_DP-4.6142578125E+0_DP*A(5))*l&
	&**2-A(7)*9.1644287109375E+1_DP)/l**7
U(177) = ((g*((-A(7)*4.1789794921875E&
	&+3_DP*g)-A(7)*4.1789794921875E+3_DP+A(6)*3.214599609375E+2_DP)-A(7)&
	&*9.643798828125E+2_DP+A(6)*1.6072998046875E+2_DP-A(5)*1.461181640625E+1_DP)&
	&*l**2-A(7)*2.9610269165039066E+2_DP)/l**7
U(178) = ((g*(A(7)*3.62911376953125E+3_DP&
	&*g+A(7)*3.62911376953125E+3_DP-A(6)*2.7916259765625E+2_DP)&
	&+A(7)*8.3748779296875E+2_DP-A(6)*1.39581298828125E+2_DP+A(5)*1.2689208984375E+1_DP)*l&
	&**2+A(7)*2.0042605590820312E+2_DP)/l**7
U(179) = ((g*(A(7)*5.4986572265625E+2_DP&
	&*g+A(7)*5.4986572265625E+2_DP-A(6)*4.229736328125E+1_DP)&
	&+A(7)*1.2689208984375E+2_DP-A(6)*2.1148681640625E+1_DP+1.922607421875E+0_DP*A(5))*l*&
	&*2+A(7)*8.220492553710936E+1_DP)/l**7
U(180) = (A(7)*1.3471710205078125E+1_DP)/l**7
U(181) = ((g*((-A(7)*1.847548828125E&
	&+4_DP*g)-A(7)*1.847548828125E+4_DP+A(6)*1.42119140625E+3_DP)-A(7)&
	&*4.26357421875E+3_DP+A(6)*7.10595703125E+2_DP-A(5)*6.4599609375E+1_DP)*l&
	&**2-A(7)*1.3534944763183593E+3_DP)/l**7
U(182) = ((g*((-A(7)*9.237744140625E&
	&+3_DP*g)-A(7)*9.237744140625E+3_DP+A(6)*7.10595703125E+2_DP)-A(7)&
	&*2.131787109375E+3_DP+A(6)*3.552978515625E+2_DP-A(5)*3.22998046875E+1_DP)*l&
	&**2-A(7)*7.759521789550782E+2_DP)/l**7
U(183) = ((g*((-A(7)*4.39892578125E+2_DP&
	&*g)-A(7)*4.39892578125E+2_DP+A(6)*3.3837890625E+1_DP)-A(7)*1.01513671875E&
	&+2_DP+A(6)*1.69189453125E+1_DP-1.5380859375E+0_DP*A(5))*l&
	&**2-A(7)*2.0317538452148437E+2_DP)/l**7
U(184) = -(A(7)*1.3471710205078125E+1_DP)/l**7
U(185) = ((g*(A(7)*2.30943603515625E+4_DP&
	&*g+A(7)*2.30943603515625E+4_DP-A(6)*1.7764892578125E+3_DP)&
	&+A(7)*5.3294677734375E+3_DP-A(6)*8.8824462890625E+2_DP+A(5)*8.074951171875E+1_DP)*l&
	&**2+A(7)*2.0298293151855468E+3_DP)/l**7
U(186) = ((g*(A(7)*4.94879150390625E+3_DP&
	&*g+A(7)*4.94879150390625E+3_DP-A(6)*3.8067626953125E+2_DP)&
	&+A(7)*1.14202880859375E+3_DP-A(6)*1.90338134765625E+2_DP+A(5)*1.7303466796875E+1_DP)*l&
	&**2+A(7)*7.939144592285156E+2_DP)/l**7
U(187) = ((g*(A(7)*1.0997314453125E+2_DP&
	&*g+A(7)*1.0997314453125E+2_DP-A(6)*8.45947265625E+0_DP)&
	&+A(7)*2.537841796875E+1_DP-4.229736328125E+0_DP*A(6)+3.84521484375E-1_DP*A(5))*l*&
	&*2+A(7)*1.7348263549804688E+2_DP)/l**7
U(188) = (5.773590087890625E+0_DP*A(7))/l**7
U(189) = -(A(7)*3.493022003173828E+2_DP)/l**7
U(190) = -(A(7)*2.5756626892089846E+2_DP)/l**7
U(191) = -(A(7)*4.907551574707031E+1_DP)/l**7
U(192) = -(9.622650146484375E-1_DP*A(7))/l**7
U(193) = ((-A(7)*5.60863037109375E&
	&+2_DP*g)-A(7)*2.804315185546875E+2_DP+A(6)*2.15716552734375E+1_DP)/l**6
U(194) = (A(7)*6.598388671875E+1_DP*g&
	&+A(7)*3.2991943359375E+1_DP-2.537841796875E+0_DP*A(6))/l**6
U(195) = (A(7)*3.2991943359375E+1_DP*g&
	&+A(7)*1.64959716796875E+1_DP-1.2689208984375E+0_DP*A(6))/l**6
U(196) = (A(7)*4.6188720703125E+2_DP*g&
	&+A(7)*2.30943603515625E+2_DP-A(6)*1.7764892578125E+1_DP)/l**6
U(197) = (A(7)*1.64959716796875E+2_DP*g&
	&+A(7)*8.24798583984375E+1_DP-A(6)*6.3446044921875E+0_DP)/l**6
U(198) = ((-A(7)*7.5221630859375E&
	&+2_DP*g)-A(7)*3.76108154296875E+2_DP+A(6)*2.8931396484375E+1_DP)/l**6
U(199) = ((-A(7)*5.9385498046875E&
	&+1_DP*g)-A(7)*2.96927490234375E+1_DP+2.2840576171875E+0_DP*A(6))/l**6
U(200) = (A(7)*6.466420898437499E+2_DP&
	&*g+A(7)*3.2332104492187497E+2_DP-A(6)*2.4870849609375E+1_DP)/l**6
U(201) = (A(7)*3.662105712890625E+3_DP&
	&*g+A(7)*1.8310528564453127E+3_DP-A(6)*1.408502197265625E+2_DP)/l**6
U(202) = (A(7)*1.12172607421875E+3_DP*g&
	&+A(7)*5.60863037109375E+2_DP-A(6)*4.3143310546875E+1_DP)/l**6
U(203) = (A(7)*3.2991943359375E+1_DP*g&
	&+A(7)*1.64959716796875E+1_DP-1.2689208984375E+0_DP*A(6))/l**6
U(204) = (A(7)*1.93992626953125E+3_DP*g&
	&+A(7)*9.69963134765625E+2_DP-A(6)*7.4612548828125E+1_DP)/l**6
U(205) = ((-A(7)*3.266202392578125E&
	&+3_DP*g)-A(7)*1.6331011962890624E+3_DP+A(6)*1.256231689453125E+2_DP)/l**6
U(206) = ((-A(7)*4.3549365234375004E&
	&+2_DP*g)-A(7)*2.17746826171875E+2_DP+A(6)*1.6749755859374998E+1_DP)/l**6
U(207) = ((-6.598388671875E+0_DP*A(7)&
	&*g)-3.2991943359375E+0_DP*A(7)+2.537841796875E-1_DP*A(6))/l**6
U(208) = ((-A(7)*3.0484555664062496E&
	&+3_DP*g)-A(7)*1.5242277832031248E+3_DP+A(6)*1.1724829101562499E+2_DP)/l**6
U(209) = (A(7)*2.63935546875E+2_DP*g&
	&+A(7)*1.319677734375E+2_DP-A(6)*1.01513671875E+1_DP)/l**6
U(210) = ((-A(7)*3.959033203125E&
	&+2_DP*g)-A(7)*1.9795166015625001E+2_DP+A(6)*1.522705078125E+1_DP)/l**6
U(211) = (A(7)*1.319677734375E+2_DP*g&
	&+A(7)*6.598388671875E+1_DP-5.07568359375E+0_DP*A(6))/l**6
U(212) = (A(7)*1.002955078125E+3_DP*g&
	&+A(7)*5.014775390625E+2_DP-A(6)*3.85751953125E+1_DP)/l**6
U(213) = ((-A(7)*6.598388671875E+2_DP&
	&*g)-A(7)*3.2991943359375E+2_DP+A(6)*2.537841796875E+1_DP)/l**6
U(214) = ((-A(7)*3.431162109375E+2_DP&
	&*g)-A(7)*1.7155810546875E+2_DP+A(6)*1.319677734375E+1_DP)/l**6
U(215) = (A(7)*3.959033203125E+3_DP*g&
	&+A(7)*1.9795166015625001E+3_DP-A(6)*1.522705078125E+2_DP)/l**6
U(216) = (A(7)*2.5073876953125E+3_DP*g&
	&+A(7)*1.25369384765625E+3_DP-A(6)*9.643798828125E+1_DP)/l**6
U(217) = (A(7)*2.903291015625E+2_DP*g&
	&+A(7)*1.4516455078125E+2_DP-A(6)*1.116650390625E+1_DP)/l**6
U(218) = ((-A(7)*5.225923828125E+3_DP&
	&*g)-A(7)*2.6129619140625E+3_DP+A(6)*2.009970703125E+2_DP)/l**6
U(219) = ((-A(7)*1.4516455078124998E&
	&+3_DP*g)-A(7)*7.2582275390625E+2_DP+A(6)*5.583251953125E+1_DP)/l**6
U(220) = ((-A(7)*7.918066406250001E&
	&+1_DP*g)-A(7)*3.9590332031250003E+1_DP+3.04541015625E+0_DP*A(6))/l**6
U(221) = (A(7)*3.079248046875E+1_DP)/l**7
U(222) = (A(7)*1.5396240234375E+1_DP)/l**7
U(223) = -(A(7)*1.0264160156249999E+1_DP)/l**7
U(224) = -(A(7)*3.5924560546875E+1_DP)/l**7
U(225) = -(A(7)*3.720758056640625E+1_DP)/l**7
U(226) = (A(7)*7.44151611328125E+1_DP)/l**7
U(227) = (A(7)*1.667926025390625E+1_DP)/l**7
U(228) = -(A(7)*5.38868408203125E+1_DP)/l**7
U(229) = -(A(7)*3.3871728515625E+2_DP)/l**7
U(230) = -(A(7)*1.38566162109375E+2_DP)/l**7
U(231) = -(A(7)*1.0264160156249999E+1_DP)/l**7
U(232) = -(A(7)*1.69358642578125E+2_DP)/l**7
U(233) = (A(7)*3.210757598876953E+2_DP)/l**7
U(234) = (A(7)*5.837741088867188E+1_DP)/l**7
U(235) = (2.2452850341796876E+0_DP*A(7))/l**7
U(236) = (A(7)*2.752077941894531E+2_DP)/l**7
U(237) = (A(7)*2.4056625366210938E+1_DP)/l**7
U(238) = -(A(7)*9.622650146484375E+0_DP)/l**7
U(239) = (1.6037750244140625E+0_DP*A(7))/l**7
U(240) = -(A(7)*1.6037750244140625E+1_DP)/l**7
U(241) = -(A(7)*3.496229553222656E+1_DP)/l**7
U(242) = (A(7)*4.907551574707031E+1_DP)/l**7
U(243) = -(A(7)*1.1867935180664062E+1_DP)/l**7
U(244) = -(2.2452850341796876E+0_DP*A(7))/l**7
U(245) = -(A(7)*9.333970642089844E+1_DP)/l**7
U(246) = (A(7)*4.073588562011719E+1_DP)/l**7
U(247) = (A(7)*5.035853576660156E+1_DP)/l**7
U(248) = (2.2452850341796876E+0_DP*A(7))/l**7
U(249) = -(A(7)*3.493022003173828E+2_DP)/l**7
U(250) = -(A(7)*2.5756626892089846E+2_DP)/l**7
U(251) = -(A(7)*4.907551574707031E+1_DP)/l**7
U(252) = -(9.622650146484375E-1_DP*A(7))/l**7
U(253) = (A(7)*4.8161363983154293E+2_DP)/l**7
U(254) = (A(7)*1.6053787994384766E+2_DP)/l**7
U(255) = (A(7)*1.459435272216797E+1_DP)/l**7
U(256) = (1.6037750244140625E-1_DP*A(7))/l**7
U(257) = (l**2*((g*(g*(g*((-A(7)*1.126125E&
	&+4_DP*g)-A(7)*2.25225E+4_DP+A(6)*1.7325E+3_DP)-A(7)*1.55925E+4_DP&
	&+A(6)*2.59875E+3_DP-A(5)*2.3625E+2_DP)-A(7)*4.33125E+3_DP&
	&+A(6)*1.18125E+3_DP-A(5)*2.3625E+2_DP+A(4)*2.625E+1_DP)-A(7)*3.9375E&
	&+2_DP+A(6)*1.575E+2_DP-A(5)*5.25E+1_DP+A(4)*1.3125E+1_DP-1.875E+0_DP*A(3))&
	&*l**2+g*((-A(7)*7.3901953125E+3_DP*g)-A(7)*7.3901953125E&
	&+3_DP+A(6)*5.684765625E+2_DP)-A(7)*1.7054296875E+3_DP&
	&+A(6)*2.8423828125E+2_DP-A(5)*2.583984375E+1_DP)-A(7)*3.2991943359375E+2_DP)/l**7
U(258) = ((g*((-A(7)*9.67763671875E+2_DP&
	&*g)-A(7)*9.67763671875E+2_DP+A(6)*7.4443359375E+1_DP)-A(7)*2.23330078125E&
	&+2_DP+A(6)*3.72216796875E+1_DP-3.3837890625E+0_DP*A(5))*l&
	&**2-A(7)*7.6981201171875E+1_DP)/l**7
U(259) = -(A(7)*7.33154296875E+0_DP)/l**7
U(260) = (l**2*(l**2*((g*(g*(g*(g*(g*((-A(7)&
	&*6.006E+3_DP*g)-A(7)*1.8018E+4_DP+A(6)*1.386E+3_DP)-A(7)*2.079E+4_DP&
	&+A(6)*3.465E+3_DP-A(5)*3.15E+2_DP)-A(7)*1.155E+4_DP+A(6)&
	&*3.15E+3_DP-A(5)*6.3E+2_DP+A(4)*7.E+1_DP)-A(7)*3.15E+3_DP+A(6)&
	&*1.26E+3_DP-A(5)*4.2E+2_DP+A(4)*1.0500000000000001E+2_DP-A(3)&
	&*1.5E+1_DP)-A(7)*3.7799999999999995E+2_DP+A(6)&
	&*2.1000000000000002E+2_DP-A(5)*1.0500000000000001E+2_DP+A(4)*4.5E+1_DP-A(3)*1.5E+1_DP&
	&+A(2)*3.E+0_DP)-A(7)*1.3999999999999999E+1_DP&
	&+A(6)*1.0500000000000001E+1_DP-A(5)*7.5E+0_DP+A(4)*5.E+0_DP-A(3)&
	&*3.E+0_DP+1.4999999999999997E+0_DP*A(2)-5.E-1_DP*A(1))*l**2+g*(g*(g&
	&*((-A(7)*1.126125E+4_DP*g)-A(7)*2.25225E+4_DP+A(6)*1.7325E+3_DP)-A(7)&
	&*1.55925E+4_DP+A(6)*2.59875E+3_DP-A(5)*2.3625E+2_DP)-A(7)*4.33125E&
	&+3_DP+A(6)*1.18125E+3_DP-A(5)*2.3625E+2_DP+A(4)*2.625E&
	&+1_DP)-A(7)*3.9375E+2_DP+A(6)*1.575E+2_DP-A(5)*5.25E+1_DP&
	&+A(4)*1.3125E+1_DP-1.875E+0_DP*A(3))+g*((-A(7)*2.903291015625E&
	&+3_DP*g)-A(7)*2.903291015625E+3_DP+A(6)*2.23330078125E+2_DP)-A(7)&
	&*6.69990234375E+2_DP+A(6)*1.116650390625E+2_DP-A(5)&
	&*1.01513671875E+1_DP)-A(7)*5.4986572265625E+1_DP)/l**7
U(261) = (l**2*((g*(g*(g*(A(7)*8.4459375E+3_DP&
	&*g+A(7)*1.6891875E+4_DP-A(6)*1.2993749999999998E+3_DP)&
	&+A(7)*1.1694374999999999E+4_DP-A(6)*1.9490625E+3_DP+A(5)*1.771875E+2_DP)&
	&+A(7)*3.2484375E+3_DP-A(6)*8.859375E+2_DP+A(5)*1.771875E&
	&+2_DP-A(4)*1.96875E+1_DP)+A(7)*2.953125E+2_DP-A(6)*1.18125E+2_DP&
	&+A(5)*3.9375E+1_DP-A(4)*9.84375E+0_DP+1.40625E+0_DP*A(3))*l**2&
	&+g*(A(7)*3.519140625E+3_DP*g+A(7)*3.519140625E+3_DP-A(6)*2.70703125E&
	&+2_DP)+A(7)*8.12109375E+2_DP-A(6)*1.353515625E+2_DP+A(5)&
	&*1.23046875E+1_DP)+A(7)*9.072784423828125E+1_DP)/l**7
U(262) = ((g*(A(7)*1.23169921875E+3_DP*g&
	&+A(7)*1.23169921875E+3_DP-A(6)*9.474609375E+1_DP)+A(7)&
	&*2.8423828125E+2_DP-A(6)*4.7373046875E+1_DP+4.306640625E+0_DP*A(5))*l*&
	&*2+A(7)*8.24798583984375E+1_DP)/l**7
U(263) = (A(7)*1.191375732421875E+1_DP)/l**7
U(264) = (l**2*((g*(g*(g*((-A(7)*8.4459375E&
	&+3_DP*g)-A(7)*1.6891875E+4_DP+A(6)&
	&*1.2993749999999998E+3_DP)-A(7)*1.1694374999999999E+4_DP+A(6)*1.9490625E+3_DP-A(5)&
	&*1.771875E+2_DP)-A(7)*3.2484375E+3_DP+A(6)*8.859375E+2_DP-A(5)*1.771875E+2_DP&
	&+A(4)*1.96875E+1_DP)-A(7)*2.953125E+2_DP+A(6)*1.18125E&
	&+2_DP-A(5)*3.9375E+1_DP+A(4)*9.84375E+0_DP-1.40625E+0_DP*A(3))*l**2&
	&+g*((-A(7)*4.75083984375E+3_DP*g)-A(7)*4.75083984375E+3_DP&
	&+A(6)*3.6544921875E+2_DP)-A(7)*1.09634765625E+3_DP&
	&+A(6)*1.8272460937499999E+2_DP-A(5)*1.6611328125E+1_DP)-A(7)*1.8512145996093748E+2_DP)/l**7
U(265) = ((g*(A(7)*1.7595703125E+3_DP*g&
	&+A(7)*1.7595703125E+3_DP-A(6)*1.353515625E+2_DP)+A(7)&
	&*4.060546875E+2_DP-A(6)*6.767578125E+1_DP+A(5)*6.15234375E+0_DP)*l**2&
	&+A(7)*1.0997314453125E+2_DP)/l**7
U(266) = ((g*((-A(7)*4.39892578125E+2_DP&
	&*g)-A(7)*4.39892578125E+2_DP+A(6)*3.3837890625E+1_DP)-A(7)*1.01513671875E&
	&+2_DP+A(6)*1.69189453125E+1_DP-1.5380859375E+0_DP*A(5))*l&
	&**2-A(7)*1.0997314453125E+1_DP)/l**7
U(267) = -(A(7)*7.33154296875E+0_DP)/l**7
U(268) = ((g*((-A(7)*1.319677734375E&
	&+3_DP*g)-A(7)*1.319677734375E+3_DP+A(6)*1.01513671875E+2_DP)-A(7)&
	&*3.04541015625E+2_DP+A(6)*5.07568359375E+1_DP-4.6142578125E+0_DP*A(5))*l&
	&**2-A(7)*9.1644287109375E+1_DP)/l**7
U(269) = (A(7)*2.4056625366210938E+1_DP)/l**7
U(270) = -(A(7)*9.622650146484375E+0_DP)/l**7
U(271) = (1.6037750244140625E+0_DP*A(7))/l**7
U(272) = -(A(7)*1.6037750244140625E+1_DP)/l**7
U(273) = (l**2*((g*(g*(g*(A(7)*2.8153125E+3_DP*g&
	&+A(7)*5.630625E+3_DP-A(6)*4.33125E+2_DP)+A(7)*3.898125E&
	&+3_DP-A(6)*6.496875E+2_DP+A(5)*5.90625E+1_DP)+A(7)*1.0828125E&
	&+3_DP-A(6)*2.953125E+2_DP+A(5)*5.90625E+1_DP-A(4)*6.5625E+0_DP)&
	&+A(7)*9.84375E+1_DP-A(6)*3.9375E+1_DP+A(5)*1.3125E+1_DP-3.28125E&
	&+0_DP*A(4)+4.6875E-1_DP*A(3))*l**2+g*(A(7)*2.111484375E+3_DP*g&
	&+A(7)*2.111484375E+3_DP-A(6)*1.62421875E+2_DP)+A(7)&
	&*4.87265625E+2_DP-A(6)*8.12109375E+1_DP+A(5)*7.3828125E+0_DP)&
	&+A(7)*1.0516181945800782E+2_DP)/l**7
U(274) = ((g*(A(7)*1.7595703125E+2_DP*g&
	&+A(7)*1.7595703125E+2_DP-A(6)*1.353515625E+1_DP)+A(7)&
	&*4.060546875E+1_DP-A(6)*6.767578125E+0_DP+6.15234375E-1_DP*A(5))*l**2&
	&+A(7)*1.5121307373046874E+1_DP)/l**7
U(275) = (1.1455535888671875E+0_DP*A(7))/l**7
U(276) = (l**2*(l**2*((g*(g*(g*(g*(g*(A(7)*6.006E+3_DP&
	&*g+A(7)*1.8018E+4_DP-A(6)*1.386E+3_DP)+A(7)*2.079E&
	&+4_DP-A(6)*3.465E+3_DP+A(5)*3.15E+2_DP)+A(7)*1.155E+4_DP-A(6)*3.15E+3_DP&
	&+A(5)*6.3E+2_DP-A(4)*7.E+1_DP)+A(7)*3.15E+3_DP-A(6)*1.26E&
	&+3_DP+A(5)*4.2E+2_DP-A(4)*1.0500000000000001E+2_DP+A(3)*1.5E&
	&+1_DP)+A(7)*3.7799999999999995E+2_DP-A(6)*2.1000000000000002E&
	&+2_DP+A(5)*1.0500000000000001E+2_DP-A(4)*4.5E+1_DP+A(3)*1.5E&
	&+1_DP-A(2)*3.E+0_DP)+A(7)*1.3999999999999999E+1_DP-A(6)&
	&*1.0500000000000001E+1_DP+A(5)*7.5E+0_DP-A(4)*5.E+0_DP+A(3)&
	&*3.E+0_DP-1.4999999999999997E+0_DP*A(2)+5.E-1_DP*A(1))*l**2+g*(g*(g*(A(7)*1.97071875E&
	&+4_DP*g+A(7)*3.9414375E+4_DP-A(6)*3.031875E+3_DP)&
	&+A(7)*2.7286875E+4_DP-A(6)*4.5478125E+3_DP+A(5)*4.134375E+2_DP)&
	&+A(7)*7.5796875E+3_DP-A(6)*2.0671875E+3_DP+A(5)*4.134375E&
	&+2_DP-A(4)*4.59375E+1_DP)+A(7)*6.890625E+2_DP-A(6)*2.75625E+2_DP&
	&+A(5)*9.1875E+1_DP-A(4)*2.296875E+1_DP+A(3)*3.28125E+0_DP)+g&
	&*(A(7)*8.97380859375E+3_DP*g+A(7)*8.97380859375E+3_DP-A(6)*6.9029296875E&
	&+2_DP)+A(7)*2.07087890625E+3_DP-A(6)*3.45146484375E+2_DP&
	&+A(5)*3.1376953125E+1_DP)+A(7)*3.4779006958007813E+2_DP)/l**7
ENDFUNCTION 


PURE FUNCTION  CALCULATE_ANALYTICALLY_G_2 (S0_X, S0_Y, S0_Z, SC_X, SC_Y, SC_Z, U)& 
			& RESULT(RES) 
REAL(DP), INTENT(IN)::S0_X, S0_Y, S0_Z 
REAL(DP), INTENT(IN)::SC_X(PMAX,2), SC_Y(PMAX,2), SC_Z(PMAX,2) 
COMPLEX(DP),INTENT(IN)::U(1: G_2_COEFFS_LEN ) 
COMPLEX(DP)::RES 
RES = ((U(276)*S0_x+SC_X(8,1)*U(240)+SC_X(6,1)&
	&*U(176)+SC_X(4,1)*U(112)+SC_X(2,1)*U(48))*S0_y+(SC_Y(8,1)*U(272)&
	&+SC_Y(6,1)*U(268)+SC_Y(4,1)*U(264)+SC_Y(2,1)*U(260))*S0_x+SC_X(8,1)&
	&*SC_Y(8,1)*U(236)+SC_Y(6,1)*SC_X(8,1)*U(232)+SC_Y(4,1)*SC_X(8,1)&
	&*U(228)+SC_Y(2,1)*SC_X(8,1)*U(224)+SC_X(7,1)*SC_Y(7,1)*U(208)&
	&+SC_Y(5,1)*SC_X(7,1)*U(204)+SC_Y(3,1)*SC_X(7,1)*U(200)+SC_Y(1,1)&
	&*SC_X(7,1)*U(196)+SC_X(6,1)*SC_Y(8,1)*U(172)+SC_X(6,1)*SC_Y(6,1)&
	&*U(168)+SC_Y(4,1)*SC_X(6,1)*U(164)+SC_Y(2,1)*SC_X(6,1)*U(160)+SC_X(5,1)&
	&*SC_Y(7,1)*U(144)+SC_X(5,1)*SC_Y(5,1)*U(140)+SC_Y(3,1)*SC_X(5,1)&
	&*U(136)+SC_Y(1,1)*SC_X(5,1)*U(132)+SC_X(4,1)*SC_Y(8,1)*U(108)&
	&+SC_X(4,1)*SC_Y(6,1)*U(104)+SC_X(4,1)*SC_Y(4,1)*U(100)+SC_Y(2,1)&
	&*SC_X(4,1)*U(96)+SC_X(3,1)*SC_Y(7,1)*U(80)+SC_X(3,1)*SC_Y(5,1)*U(76)&
	&+SC_X(3,1)*SC_Y(3,1)*U(72)+SC_Y(1,1)*SC_X(3,1)*U(68)+SC_X(2,1)&
	&*SC_Y(8,1)*U(44)+SC_X(2,1)*SC_Y(6,1)*U(40)+SC_X(2,1)*SC_Y(4,1)*U(36)&
	&+SC_X(2,1)*SC_Y(2,1)*U(32)+SC_X(1,1)*SC_Y(7,1)*U(16)+SC_X(1,1)&
	&*SC_Y(5,1)*U(12)+SC_X(1,1)*SC_Y(3,1)*U(8)+SC_X(1,1)*SC_Y(1,1)*U(4))&
	&*S0_z+((SC_Z(6,1)*U(275)+SC_Z(4,1)*U(274)+SC_Z(2,1)*U(273))*S0_x&
	&+SC_Z(6,1)*SC_X(8,1)*U(239)+SC_Z(4,1)*SC_X(8,1)*U(238)+SC_Z(2,1)&
	&*SC_X(8,1)*U(237)+SC_X(6,1)*SC_Z(6,1)*U(175)+SC_Z(4,1)*SC_X(6,1)&
	&*U(174)+SC_Z(2,1)*SC_X(6,1)*U(173)+SC_X(4,1)*SC_Z(6,1)*U(111)+SC_X(4,1)&
	&*SC_Z(4,1)*U(110)+SC_Z(2,1)*SC_X(4,1)*U(109)+SC_X(2,1)*SC_Z(6,1)&
	&*U(47)+SC_X(2,1)*SC_Z(4,1)*U(46)+SC_X(2,1)*SC_Z(2,1)*U(45))*S0_y&
	&+(SC_Z(6,1)*SC_Y(8,1)*U(271)+SC_Z(4,1)*SC_Y(8,1)*U(270)+SC_Z(2,1)&
	&*SC_Y(8,1)*U(269)+SC_Y(6,1)*SC_Z(6,1)*U(267)+SC_Z(4,1)*SC_Y(6,1)&
	&*U(266)+SC_Z(2,1)*SC_Y(6,1)*U(265)+SC_Y(4,1)*SC_Z(6,1)*U(263)&
	&+SC_Y(4,1)*SC_Z(4,1)*U(262)+SC_Z(2,1)*SC_Y(4,1)*U(261)+SC_Y(2,1)*SC_Z(6,1)&
	&*U(259)+SC_Y(2,1)*SC_Z(4,1)*U(258)+SC_Y(2,1)*SC_Z(2,1)*U(257))&
	&*S0_x+SC_Z(7,1)*SC_X(8,2)*SC_Y(8,2)*U(256)+SC_Z(5,1)*SC_X(8,2)&
	&*SC_Y(8,2)*U(255)+SC_Z(3,1)*SC_X(8,2)*SC_Y(8,2)*U(254)+SC_Z(1,1)&
	&*SC_X(8,2)*SC_Y(8,2)*U(253)+SC_Y(6,2)*SC_Z(7,1)*SC_X(8,2)*U(252)&
	&+SC_Z(5,1)*SC_Y(6,2)*SC_X(8,2)*U(251)+SC_Z(3,1)*SC_Y(6,2)*SC_X(8,2)&
	&*U(250)+SC_Z(1,1)*SC_Y(6,2)*SC_X(8,2)*U(249)+SC_Y(4,2)*SC_Z(7,1)&
	&*SC_X(8,2)*U(248)+SC_Y(4,2)*SC_Z(5,1)*SC_X(8,2)*U(247)+SC_Z(3,1)&
	&*SC_Y(4,2)*SC_X(8,2)*U(246)+SC_Z(1,1)*SC_Y(4,2)*SC_X(8,2)*U(245)&
	&+SC_Y(2,2)*SC_Z(7,1)*SC_X(8,2)*U(244)+SC_Y(2,2)*SC_Z(5,1)*SC_X(8,2)&
	&*U(243)+SC_Y(2,2)*SC_Z(3,1)*SC_X(8,2)*U(242)+SC_Z(1,1)*SC_Y(2,2)&
	&*SC_X(8,2)*U(241)+SC_Z(6,1)*SC_X(8,1)*SC_Y(8,1)*U(235)+SC_Z(4,1)&
	&*SC_X(8,1)*SC_Y(8,1)*U(234)+SC_Z(2,1)*SC_X(8,1)*SC_Y(8,1)*U(233)&
	&+SC_Y(6,1)*SC_Z(6,1)*SC_X(8,1)*U(231)+SC_Z(4,1)*SC_Y(6,1)*SC_X(8,1)&
	&*U(230)+SC_Z(2,1)*SC_Y(6,1)*SC_X(8,1)*U(229)+SC_Y(4,1)*SC_Z(6,1)&
	&*SC_X(8,1)*U(227)+SC_Y(4,1)*SC_Z(4,1)*SC_X(8,1)*U(226)+SC_Z(2,1)*SC_Y(4,1)&
	&*SC_X(8,1)*U(225)+SC_Y(2,1)*SC_Z(6,1)*SC_X(8,1)*U(223)&
	&+SC_Y(2,1)*SC_Z(4,1)*SC_X(8,1)*U(222)+SC_Y(2,1)*SC_Z(2,1)*SC_X(8,1)&
	&*U(221)+SC_Z(5,1)*SC_X(7,2)*SC_Y(7,2)*U(220)+SC_Z(3,1)*SC_X(7,2)*SC_Y(7,2)&
	&*U(219)+SC_Z(1,1)*SC_X(7,2)*SC_Y(7,2)*U(218)+SC_Z(5,1)*SC_Y(5,2)&
	&*SC_X(7,2)*U(217)+SC_Z(3,1)*SC_Y(5,2)*SC_X(7,2)*U(216)&
	&+SC_Z(1,1)*SC_Y(5,2)*SC_X(7,2)*U(215)+SC_Y(3,2)*SC_Z(5,1)*SC_X(7,2)*U(214)&
	&+SC_Z(3,1)*SC_Y(3,2)*SC_X(7,2)*U(213)+SC_Z(1,1)*SC_Y(3,2)*SC_X(7,2)&
	&*U(212)+SC_Y(1,2)*SC_Z(5,1)*SC_X(7,2)*U(211)+SC_Y(1,2)*SC_Z(3,1)&
	&*SC_X(7,2)*U(210)+SC_Z(1,1)*SC_Y(1,2)*SC_X(7,2)*U(209)+SC_Z(6,1)&
	&*SC_X(7,1)*SC_Y(7,1)*U(207)+SC_Z(4,1)*SC_X(7,1)*SC_Y(7,1)*U(206)&
	&+SC_Z(2,1)*SC_X(7,1)*SC_Y(7,1)*U(205)+SC_Y(5,1)*SC_Z(6,1)*SC_X(7,1)&
	&*U(203)+SC_Z(4,1)*SC_Y(5,1)*SC_X(7,1)*U(202)+SC_Z(2,1)*SC_Y(5,1)&
	&*SC_X(7,1)*U(201)+SC_Y(3,1)*SC_Z(6,1)*SC_X(7,1)*U(199)+SC_Y(3,1)&
	&*SC_Z(4,1)*SC_X(7,1)*U(198)+SC_Z(2,1)*SC_Y(3,1)*SC_X(7,1)*U(197)&
	&+SC_Y(1,1)*SC_Z(6,1)*SC_X(7,1)*U(195)+SC_Y(1,1)*SC_Z(4,1)*SC_X(7,1)&
	&*U(194)+SC_Y(1,1)*SC_Z(2,1)*SC_X(7,1)*U(193)+SC_X(6,2)*SC_Z(7,1)&
	&*SC_Y(8,2)*U(192)+SC_Z(5,1)*SC_X(6,2)*SC_Y(8,2)*U(191)+SC_Z(3,1)&
	&*SC_X(6,2)*SC_Y(8,2)*U(190)+SC_Z(1,1)*SC_X(6,2)*SC_Y(8,2)*U(189)&
	&+SC_X(6,2)*SC_Y(6,2)*SC_Z(7,1)*U(188)+SC_Z(5,1)*SC_X(6,2)*SC_Y(6,2)&
	&*U(187)+SC_Z(3,1)*SC_X(6,2)*SC_Y(6,2)*U(186)+SC_Z(1,1)*SC_X(6,2)&
	&*SC_Y(6,2)*U(185)+SC_Y(4,2)*SC_X(6,2)*SC_Z(7,1)*U(184)+SC_Y(4,2)&
	&*SC_Z(5,1)*SC_X(6,2)*U(183)+SC_Z(3,1)*SC_Y(4,2)*SC_X(6,2)*U(182)&
	&+SC_Z(1,1)*SC_Y(4,2)*SC_X(6,2)*U(181)+SC_Y(2,2)*SC_X(6,2)*SC_Z(7,1)&
	&*U(180)+SC_Y(2,2)*SC_Z(5,1)*SC_X(6,2)*U(179)+SC_Y(2,2)*SC_Z(3,1)&
	&*SC_X(6,2)*U(178)+SC_Z(1,1)*SC_Y(2,2)*SC_X(6,2)*U(177)+SC_X(6,1)&
	&*SC_Z(6,1)*SC_Y(8,1)*U(171)+SC_Z(4,1)*SC_X(6,1)*SC_Y(8,1)*U(170)&
	&+SC_Z(2,1)*SC_X(6,1)*SC_Y(8,1)*U(169)+SC_X(6,1)*SC_Y(6,1)*SC_Z(6,1)&
	&*U(167)+SC_Z(4,1)*SC_X(6,1)*SC_Y(6,1)*U(166)+SC_Z(2,1)*SC_X(6,1)&
	&*SC_Y(6,1)*U(165)+SC_Y(4,1)*SC_X(6,1)*SC_Z(6,1)*U(163)+SC_Y(4,1)&
	&*SC_Z(4,1)*SC_X(6,1)*U(162)+SC_Z(2,1)*SC_Y(4,1)*SC_X(6,1)*U(161)&
	&+SC_Y(2,1)*SC_X(6,1)*SC_Z(6,1)*U(159)+SC_Y(2,1)*SC_Z(4,1)*SC_X(6,1)&
	&*U(158)+SC_Y(2,1)*SC_Z(2,1)*SC_X(6,1)*U(157)+SC_Z(5,1)*SC_X(5,2)&
	&*SC_Y(7,2)*U(156)+SC_Z(3,1)*SC_X(5,2)*SC_Y(7,2)*U(155)+SC_Z(1,1)&
	&*SC_X(5,2)*SC_Y(7,2)*U(154)+SC_Z(5,1)*SC_X(5,2)*SC_Y(5,2)*U(153)&
	&+SC_Z(3,1)*SC_X(5,2)*SC_Y(5,2)*U(152)+SC_Z(1,1)*SC_X(5,2)*SC_Y(5,2)&
	&*U(151)+SC_Y(3,2)*SC_Z(5,1)*SC_X(5,2)*U(150)+SC_Z(3,1)*SC_Y(3,2)&
	&*SC_X(5,2)*U(149)+SC_Z(1,1)*SC_Y(3,2)*SC_X(5,2)*U(148)+SC_Y(1,2)*SC_Z(5,1)&
	&*SC_X(5,2)*U(147)+SC_Y(1,2)*SC_Z(3,1)*SC_X(5,2)*U(146)&
	&+SC_Z(1,1)*SC_Y(1,2)*SC_X(5,2)*U(145)+SC_X(5,1)*SC_Z(6,1)*SC_Y(7,1)&
	&*U(143)+SC_Z(4,1)*SC_X(5,1)*SC_Y(7,1)*U(142)+SC_Z(2,1)*SC_X(5,1)*SC_Y(7,1)&
	&*U(141)+SC_X(5,1)*SC_Y(5,1)*SC_Z(6,1)*U(139)+SC_Z(4,1)*SC_X(5,1)&
	&*SC_Y(5,1)*U(138)+SC_Z(2,1)*SC_X(5,1)*SC_Y(5,1)*U(137)&
	&+SC_Y(3,1)*SC_X(5,1)*SC_Z(6,1)*U(135)+SC_Y(3,1)*SC_Z(4,1)*SC_X(5,1)*U(134)&
	&+SC_Z(2,1)*SC_Y(3,1)*SC_X(5,1)*U(133)+SC_Y(1,1)*SC_X(5,1)*SC_Z(6,1)&
	&*U(131)+SC_Y(1,1)*SC_Z(4,1)*SC_X(5,1)*U(130)+SC_Y(1,1)*SC_Z(2,1)&
	&*SC_X(5,1)*U(129)+SC_X(4,2)*SC_Z(7,1)*SC_Y(8,2)*U(128)+SC_X(4,2)&
	&*SC_Z(5,1)*SC_Y(8,2)*U(127)+SC_Z(3,1)*SC_X(4,2)*SC_Y(8,2)*U(126)&
	&+SC_Z(1,1)*SC_X(4,2)*SC_Y(8,2)*U(125)+SC_X(4,2)*SC_Y(6,2)*SC_Z(7,1)&
	&*U(124)+SC_X(4,2)*SC_Z(5,1)*SC_Y(6,2)*U(123)+SC_Z(3,1)*SC_X(4,2)&
	&*SC_Y(6,2)*U(122)+SC_Z(1,1)*SC_X(4,2)*SC_Y(6,2)*U(121)+SC_X(4,2)&
	&*SC_Y(4,2)*SC_Z(7,1)*U(120)+SC_X(4,2)*SC_Y(4,2)*SC_Z(5,1)*U(119)&
	&+SC_Z(3,1)*SC_X(4,2)*SC_Y(4,2)*U(118)+SC_Z(1,1)*SC_X(4,2)*SC_Y(4,2)&
	&*U(117)+SC_Y(2,2)*SC_X(4,2)*SC_Z(7,1)*U(116)+SC_Y(2,2)*SC_X(4,2)&
	&*SC_Z(5,1)*U(115)+SC_Y(2,2)*SC_Z(3,1)*SC_X(4,2)*U(114)+SC_Z(1,1)&
	&*SC_Y(2,2)*SC_X(4,2)*U(113)+SC_X(4,1)*SC_Z(6,1)*SC_Y(8,1)*U(107)&
	&+SC_X(4,1)*SC_Z(4,1)*SC_Y(8,1)*U(106)+SC_Z(2,1)*SC_X(4,1)*SC_Y(8,1)&
	&*U(105)+SC_X(4,1)*SC_Y(6,1)*SC_Z(6,1)*U(103)+SC_X(4,1)*SC_Z(4,1)&
	&*SC_Y(6,1)*U(102)+SC_Z(2,1)*SC_X(4,1)*SC_Y(6,1)*U(101)+SC_X(4,1)&
	&*SC_Y(4,1)*SC_Z(6,1)*U(99)+SC_X(4,1)*SC_Y(4,1)*SC_Z(4,1)*U(98)&
	&+SC_Z(2,1)*SC_X(4,1)*SC_Y(4,1)*U(97)+SC_Y(2,1)*SC_X(4,1)*SC_Z(6,1)&
	&*U(95)+SC_Y(2,1)*SC_X(4,1)*SC_Z(4,1)*U(94)+SC_Y(2,1)*SC_Z(2,1)*SC_X(4,1)&
	&*U(93)+SC_X(3,2)*SC_Z(5,1)*SC_Y(7,2)*U(92)+SC_Z(3,1)*SC_X(3,2)&
	&*SC_Y(7,2)*U(91)+SC_Z(1,1)*SC_X(3,2)*SC_Y(7,2)*U(90)+SC_X(3,2)&
	&*SC_Z(5,1)*SC_Y(5,2)*U(89)+SC_Z(3,1)*SC_X(3,2)*SC_Y(5,2)*U(88)&
	&+SC_Z(1,1)*SC_X(3,2)*SC_Y(5,2)*U(87)+SC_X(3,2)*SC_Y(3,2)*SC_Z(5,1)*U(86)&
	&+SC_Z(3,1)*SC_X(3,2)*SC_Y(3,2)*U(85)+SC_Z(1,1)*SC_X(3,2)*SC_Y(3,2)&
	&*U(84)+SC_Y(1,2)*SC_X(3,2)*SC_Z(5,1)*U(83)+SC_Y(1,2)*SC_Z(3,1)&
	&*SC_X(3,2)*U(82)+SC_Z(1,1)*SC_Y(1,2)*SC_X(3,2)*U(81)+SC_X(3,1)&
	&*SC_Z(6,1)*SC_Y(7,1)*U(79)+SC_X(3,1)*SC_Z(4,1)*SC_Y(7,1)*U(78)&
	&+SC_Z(2,1)*SC_X(3,1)*SC_Y(7,1)*U(77)+SC_X(3,1)*SC_Y(5,1)*SC_Z(6,1)*U(75)&
	&+SC_X(3,1)*SC_Z(4,1)*SC_Y(5,1)*U(74)+SC_Z(2,1)*SC_X(3,1)*SC_Y(5,1)&
	&*U(73)+SC_X(3,1)*SC_Y(3,1)*SC_Z(6,1)*U(71)+SC_X(3,1)*SC_Y(3,1)&
	&*SC_Z(4,1)*U(70)+SC_Z(2,1)*SC_X(3,1)*SC_Y(3,1)*U(69)+SC_Y(1,1)*SC_X(3,1)&
	&*SC_Z(6,1)*U(67)+SC_Y(1,1)*SC_X(3,1)*SC_Z(4,1)*U(66)&
	&+SC_Y(1,1)*SC_Z(2,1)*SC_X(3,1)*U(65)+SC_X(2,2)*SC_Z(7,1)*SC_Y(8,2)*U(64)&
	&+SC_X(2,2)*SC_Z(5,1)*SC_Y(8,2)*U(63)+SC_X(2,2)*SC_Z(3,1)*SC_Y(8,2)&
	&*U(62)+SC_Z(1,1)*SC_X(2,2)*SC_Y(8,2)*U(61)+SC_X(2,2)*SC_Y(6,2)&
	&*SC_Z(7,1)*U(60)+SC_X(2,2)*SC_Z(5,1)*SC_Y(6,2)*U(59)+SC_X(2,2)*SC_Z(3,1)&
	&*SC_Y(6,2)*U(58)+SC_Z(1,1)*SC_X(2,2)*SC_Y(6,2)*U(57)+SC_X(2,2)&
	&*SC_Y(4,2)*SC_Z(7,1)*U(56)+SC_X(2,2)*SC_Y(4,2)*SC_Z(5,1)*U(55)&
	&+SC_X(2,2)*SC_Z(3,1)*SC_Y(4,2)*U(54)+SC_Z(1,1)*SC_X(2,2)*SC_Y(4,2)&
	&*U(53)+SC_X(2,2)*SC_Y(2,2)*SC_Z(7,1)*U(52)+SC_X(2,2)*SC_Y(2,2)&
	&*SC_Z(5,1)*U(51)+SC_X(2,2)*SC_Y(2,2)*SC_Z(3,1)*U(50)+SC_Z(1,1)*SC_X(2,2)&
	&*SC_Y(2,2)*U(49)+SC_X(2,1)*SC_Z(6,1)*SC_Y(8,1)*U(43)+SC_X(2,1)&
	&*SC_Z(4,1)*SC_Y(8,1)*U(42)+SC_X(2,1)*SC_Z(2,1)*SC_Y(8,1)*U(41)&
	&+SC_X(2,1)*SC_Y(6,1)*SC_Z(6,1)*U(39)+SC_X(2,1)*SC_Z(4,1)*SC_Y(6,1)&
	&*U(38)+SC_X(2,1)*SC_Z(2,1)*SC_Y(6,1)*U(37)+SC_X(2,1)*SC_Y(4,1)*SC_Z(6,1)&
	&*U(35)+SC_X(2,1)*SC_Y(4,1)*SC_Z(4,1)*U(34)+SC_X(2,1)*SC_Z(2,1)&
	&*SC_Y(4,1)*U(33)+SC_X(2,1)*SC_Y(2,1)*SC_Z(6,1)*U(31)+SC_X(2,1)&
	&*SC_Y(2,1)*SC_Z(4,1)*U(30)+SC_X(2,1)*SC_Y(2,1)*SC_Z(2,1)*U(29)&
	&+SC_X(1,2)*SC_Z(5,1)*SC_Y(7,2)*U(28)+SC_X(1,2)*SC_Z(3,1)*SC_Y(7,2)&
	&*U(27)+SC_Z(1,1)*SC_X(1,2)*SC_Y(7,2)*U(26)+SC_X(1,2)*SC_Z(5,1)*SC_Y(5,2)&
	&*U(25)+SC_X(1,2)*SC_Z(3,1)*SC_Y(5,2)*U(24)+SC_Z(1,1)*SC_X(1,2)&
	&*SC_Y(5,2)*U(23)+SC_X(1,2)*SC_Y(3,2)*SC_Z(5,1)*U(22)+SC_X(1,2)&
	&*SC_Z(3,1)*SC_Y(3,2)*U(21)+SC_Z(1,1)*SC_X(1,2)*SC_Y(3,2)*U(20)&
	&+SC_X(1,2)*SC_Y(1,2)*SC_Z(5,1)*U(19)+SC_X(1,2)*SC_Y(1,2)*SC_Z(3,1)&
	&*U(18)+SC_Z(1,1)*SC_X(1,2)*SC_Y(1,2)*U(17)+SC_X(1,1)*SC_Z(6,1)*SC_Y(7,1)&
	&*U(15)+SC_X(1,1)*SC_Z(4,1)*SC_Y(7,1)*U(14)+SC_X(1,1)*SC_Z(2,1)&
	&*SC_Y(7,1)*U(13)+SC_X(1,1)*SC_Y(5,1)*SC_Z(6,1)*U(11)+SC_X(1,1)&
	&*SC_Z(4,1)*SC_Y(5,1)*U(10)+SC_X(1,1)*SC_Z(2,1)*SC_Y(5,1)*U(9)&
	&+SC_X(1,1)*SC_Y(3,1)*SC_Z(6,1)*U(7)+SC_X(1,1)*SC_Y(1,1)*U(3)*SC_Z(6,1)&
	&+SC_X(1,1)*SC_Y(3,1)*SC_Z(4,1)*U(6)+SC_X(1,1)*SC_Z(2,1)*SC_Y(3,1)&
	&*U(5)+SC_X(1,1)*SC_Y(1,1)*U(2)*SC_Z(4,1)+U(1)*SC_X(1,1)*SC_Y(1,1)*SC_Z(2,1)
ENDFUNCTION 
